<%
/***************************************************************************
                          OAI-v2-script.php  -  OAI Data/Service Provider
                             -------------------
    begin                : Sept, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
// Read configuration and functions
include "functions/time.php";
$time_start = getmicrotime();

include "conf/system.conf";
include "functions/oaipmp.php";
include "functions/oaipmh.php";

switch($verb){
	
	// ****************** Basic OAI ********************
	
	case "ListIdentifiers":
		oaipmh_response_ListIdentifiers();
		break;
	case "ListRecords":
		oaipmh_response_ListRecords();
		break;
	case "ListProviders":
		oaipmh_response_ListProviders();
		break;
		
	// ****************** Extended OAI *****************
	
	case "Connect":
		oaipmp_response_Connect($providerId,$providerSerialNumber,$epochTime);
		break;
	case "PutListRecords":
		oaipmp_response_PutListRecords();
		break;
	default:

}

%>