<%
/***************************************************************************
                          download.php  -  download redirector, log, and auth
                             -------------------
    begin                : June 14, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
require_once "conf/system.conf";
require_once "functions/metadata.php";
require_once "functions/sessions.php";

global $HTTP_SESSION_VARS;


if  (
     (!empty($email) && !empty($redirfrom)) || 
     (!empty($HTTP_SESSION_VARS[sess_username]) && ($HTTP_SESSION_VARS[sess_username] != "Guest"))
	 ){
	 
	
	if (!empty($f)){
		$file_target = "/files$f";
		if (file_exists(".$file_target")){
			include "src/redirect_download.inc";
			session_logging();
			exit;
		} else {
			include "src/file_notfound.inc";
			session_logging();
			exit;
		}
	}
	
	if (empty($id)){
		echo "<h1>Download Error</h1>
			File identifier is empty. 
			<br>Please try again from your DL server, or start browsing 
			our DL server here: <a href=/go.php>Browse</a>";
	} elseif (empty($no)){
		echo "<h1>Download Error</h1>
			Your requested file number is empty. Please try to browse the article here: 
			<a href=/go.php?id=$id>Browse</a>";
	} else {
		$minfo = metadata_relation_dbinfo($id);
		if (empty($minfo[RELATION_HASPART][$no])){
			echo "<h1>Download Error</h1>
			Your requested file number is not found. Please try to browse the article here:
				<a href=/go.php?id=$id>Browse</a>";
		} else {
			$file_target = "/".$minfo[RELATION_HASPATH][$no];
			
			if (file_exists(".$file_target")){
				include "src/redirect_download.inc";
			} else {
				include "src/file_notfound.inc";
			}
			
		}
	}

} else {

	if (empty($f)){
		Header("Location: /login_download.php?login=redir&url=/download.php&key1=id&val1=$id&key2=no&val2=$no");
	} else {
		Header("Location: /login_download.php?login=redir&url=/download.php&f=$f");
	}	 

	exit;
}

session_logging();
%>