<%
/***************************************************************************
                          box.php  -  function related to generating box
                             -------------------
    begin                : June 15, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if (defined ('box_php')) { 
	return; 
} else { 
	define ('box_php', true); 
}

require_once "functions/stdout.php";

// generate box
function box_show($boxname)
{
	global $t,$l;
	
	// read conf
	$cfg = "src/box_$boxname.cfg";
	
	if (file_exists($cfg)) {
		include $cfg; // resulting variable $box
	} else {
		stdout_error("Error: File <b>$cfg</b> $e[notfound]");
		return;
	}
	
	$content = box_content($boxname, $box);
	
	$html_box  = "

<table cellSpacing=0 cellPadding=0 border=0>
  <tr>
    <td background=$box_title_image height=35>
      <p align=center><b><font color=$t[color_title_dark]><img border=0 src=../images/dot.gif width=1 height=18>$box_title</font></b></p>
    </td>
  </tr>
  <tr>
    <td vAlign=top width=156>
      <table cellSpacing=0 cellPadding=0 border=0 background=../images/box_left_body.gif>
		<tr>
			<td>
				$content
			</td>
		</tr>
       <tr>
           <td vAlign=center colspan=2><img border=0 src=../images/box_left_bottom.gif width=156 height=6></td>
       </tr>
      </table>
    </td>
  </tr>
</table> ";
	
	echo $html_box;
	
}

// generate box contents
function box_content($boxname,$box)
{
	global $t, $e, $l,$HTTP_SESSION_VARS;

	$uri = str_replace("?","",$_SERVER[REQUEST_URI]);
	$uri = str_replace("&","",$uri);
	
	
	
	for ($i=0;$i<sizeof($box[icon]);$i++){
		
		$icon = $box[icon][$i];
		$url  = $box[url][$i];
		$name = $box[name][$i];
		$gid  = $box[gid][$i];
		
		$url2 = str_replace("?","",$url);
		$url2 = str_replace("&","",$url2);
		
		if (($HTTP_SESSION_VARS[sess_gid] <= $gid) || ($gid <1)){
			
			// bgcolor
			if (ereg($url2,$uri)){
				$bgcolor = "bgcolor=$t[color_light]";
				$fontcolor = $t[color_title_dark];
			} else {
				$bgcolor = "";
				$fontcolor = "#FFFFFF";
			}
		
			$html .= "
   	       <tr $bgcolor>
   	         <td align=center valign=top><img border=0 src=$icon ></td>
   	         <td vAlign=center><b><a href=$url><font color=$fontcolor size=1>$name</font></a></b></td>
   	       </tr>";
		}
	}
	
	
	if (!empty($html)){
		$html_content = "
			<table cellSpacing=1 cellPadding=0 border=0>
				<tr><td>
					<table cellSpacing=0 cellPadding=2 border=0>$html</table>
				</td></tr>
			</table>";
			
		return $html_content;
	} else {
		return NULL;
	}
	
}

%>