<%
/***************************************************************************
                          explorer.php  -  function related to archive explorer
                             -------------------
    begin                : June 15, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if (defined ('explorer_php')) { 
	return; 
} else { 
	define ('explorer_php', true); 
}

require_once "functions/stdout.php";
require_once "functions/user.php";
require_once "functions/string.php";
require_once "functions/metadata.php";


// Function to generate path
function explorer_path($node,$side)
{
	$reachable = TRUE;
	$path = $node;
	
	while ($reachable){
		$strup = "SELECT PARENT 
				FROM folder_tree 
				WHERE NODE = '$node'	";
		$dbresup = mysql_query($strup);
		if ($dbresup){
			if (mysql_num_rows($dbresup)>0){
				$parent = mysql_result($dbresup,0,"PARENT");
				$path = "$parent/$path";
			} else {
				$reachable = FALSE;
			}
		} else {
			stdout_error(mysql_error());
			return FALSE;
		}
		
		$node = $parent;
	}
	
	if ($path == "/") $path = "0/";
	
	$str_path[NODE] = $path;
	
	$str_p = explorer_path_to_name($path,$side);
	
	$str_path[NAME] = $str_p[LINK];
	$str_path[LASTNAME] = $str_p[NAME];
	$str_path[HIERARCHY] = $str_p[HIERARCHY];
	$str_path[BROWSE] = $str_p[BROWSE];
	
	$nd = explorer_pname_to_node($str_p[HIERARCHY]);
	
	//echo "$str_p[HIERARCHY] = $nd[NODE] - $nd[PATH]";
	
	return $str_path;

}

// Function to get upper address
function explorer_address_up($address)
{
	$strup = "SELECT PARENT FROM folder_tree WHERE NODE = '$address'";
	$dbresup = mysql_query($strup);
	if ($dbresup){
		if (mysql_num_rows($dbresup)>0)
			$address_up = mysql_result($dbresup,0,"PARENT");
		else
			$address_up = 0;
	}
	return $address_up;
}	

// Path to name
function explorer_path_to_name($path,$side)
{
	$arr = explode("/",$path);
	
	$str_path[LINK] = "/<a href=/office.php?m=explorer&a=0&b=expand&w=$side>Top</a> ";
	$str_path[BROWSE] = "/<a href=/go.php?node=0>Top</a> ";
	//$str_path[HIERARCHY] = "/Top";
	
	while(list($key,$val) = each($arr)){
		$name = explorer_node_to_name($val);
		$name = str_replace("_"," ",$name);
		$path_link = "<a href=/office.php?m=explorer&a=$val&b=expand&w=$side>$name /</a>";
		$str_path[LINK] .= "$path_link ";
		$str_path[HIERARCHY] .= str_replace(" ","_",$name)."/";
		$str_path[BROWSE] .= "<a href=/go.php?node=$val>$name /</a> ";
		
	}
	$str_path[NAME] = $name;
	return $str_path;
}

// Node to name
function explorer_node_to_name($node)
{
	$strsql = "SELECT NAME FROM folder WHERE NODE = '$node'";
	$dbres = mysql_query($strsql);
	if ($dbres){
		if (mysql_num_rows($dbres)>0)
			$name = mysql_result($dbres,0,"NAME");
	}
	return $name;
}

// Path Name to node
function explorer_pname_to_node($pname)
{
	$arr = explode ("/",$pname);
	while(list($key,$val) = each($arr)){
		$strsql = "SELECT folder.NODE, folder_tree.PATH
						FROM folder,folder_tree
						WHERE
							folder.NODE = folder_tree.NODE AND
							folder.NAME = '$val' AND
							folder_tree.PARENT = '$node'
				";
		
								
		$dbres = mysql_query($strsql);
		if ($dbres){
			if (mysql_num_rows($dbres)>0){
				$node = mysql_result($dbres,0,"NODE");
				$path = mysql_result($dbres,0,"PATH");
			}
		} else {
			stdout_error(mysql_error());
			return 0;
		}
	}
	$mynode[NODE] = $node;
	$mynode[PATH] = $path;
	
	return $mynode;
}

// COunt sub-folder and metadata
function explorer_count_subfolder($path)
{
	$strsql = "SELECT count(*) as total FROM folder_tree WHERE PATH LIKE '$path/%' 
			AND folder_tree.STATUS IS NULL";
	//echo $strsql;
	$dbres = mysql_query($strsql);
	if ($dbres){
		$total = mysql_result($dbres,0,"total");
		return $total;
	} else {
		stdout_error(mysql_error());
		return 0;
	}
	
}

// Folder lists
function explorer_folder_lists($side)
{
	global $conf, $HTTP_SESSION_VARS, $t, $l, $a, $b, $w, $node1, $DC_PUBLISHER_ID, $explorer_path;
	
	$html = "
		<table width=100% cellspacing=0 cellpadding=0> ";
	
       	
	$no = 0;
        		
   // Folders
        		
	if (!isset($_GET[sb]))
		$ob = "NAME";
	else
		$ob = $_GET[sb];
				
	$addressid = $HTTP_SESSION_VARS[sess_explorer_address_up][$side];
	
	if (($explorer_path[LASTNAME] == "$HTTP_SESSION_VARS[sess_email]")&&
		($HTTP_SESSION_VARS[sess_gid] > 2)){
		$member_folder = "AND folder.NAME = '$HTTP_SESSION_VARS[sess_email]' ";
	}
					
   $strsql = "SELECT folder.TYPE, folder.NAME, folder.OWNER, folder.MODE, folder_tree.NODE, folder_tree.PATH
   			FROM folder, folder_tree
   			WHERE 
   				folder_tree.PARENT = '$addressid' AND
   				folder_tree.NODE = folder.NODE
   				$member_folder
   			ORDER BY folder.$ob $_GET[so]
   			";
    
   //echo $strsql;
   
	$dbres = mysql_query($strsql);
        		
   if ($dbres){
   	while ($row = mysql_fetch_array($dbres)){
   		$no++;
   		$bg_color = stdout_row_bgcolor($no);
   		
   		if ($no == 1) $node1 = $row[NODE];
       
   		// dir icons
   		$folder_icon = explorer_folder_icon($row[TYPE]);
   		$folder_icon = "<img src=$folder_icon>";
   		$strfolder = string_substr($row[NAME],15);
   		
   		if ((($a == $row[NODE]) &&($w == $side))|| 
   			($HTTP_SESSION_VARS[sess_explorer_address][$side] == $row[NODE])
   			)
   		{
   			if ($row[TYPE] == "folder"){
   				$folder_icon = "<img border=0 src=/images/dir_open.gif>";
   				$html_folder = "$folder_icon
   	       		<a href=/office.php?m=explorer&a=$row[NODE]&b=expand&w=$side><font color=#FF0000><b>$strfolder</b></font></a>";
   			} elseif ($row[TYPE] == "document") {
   				$html_folder = "$folder_icon
   	       		<a href=/office.php?m=explorer&a=$row[NODE]&b=meta&w=$side><font color=#FF0000><b>$strfolder</b></font></a>";
   			} else {
	   			$html_folder = "$folder_icon
   	       		<a href=/office.php?m=explorer&a=$row[NODE]&b=expand&w=$side><font color=#FF0000><b>$strfolder</b></font></a>";
   			}
   		} else {
   			if ($row[TYPE] == "document"){
   				$html_folder = "$folder_icon
   	       		<a href=/office.php?m=explorer&a=$row[NODE]&b=meta&w=$side >$strfolder</a>";
			} else {
   				$html_folder = "$folder_icon
          			<a href=/office.php?m=explorer&a=$row[NODE]&b=expand&w=$side >$strfolder</a>";
			}
		}
       
       if ($HTTP_SESSION_VARS[sess_explorer_count_child]){
	       $child_count = "(".explorer_folder_nummeta($row[NODE]).")";
   		}
   		    
   		$html .= "
        	<tr bgcolor=$bg_color >
          		<td valign=top nowrap><font size=1>$html_folder $child_count</font></td>
       	</tr>
        				
        	";
        			
      	}
      	
     } else {
      	stdout_error(mysql_error());
     }

        	
     $html .= "</table>";

	return $html;
	
}

// Display content lists
function explorer_content_lists($side)
{
	global $a, $b, $t, $l, $q, $HTTP_SESSION_VARS, $DC_PUBLISHER_ID, $explorer_path;
	
	$toexpand = $HTTP_SESSION_VARS[sess_explorer_address][$side];
	
	$hdr_title_link = "<a href=/office.php?m=explorer&a=$a&b=$b&w=$side&shid=title>$l[title]</a>";
	$hdr_id_link = "<a href=/office.php?m=explorer&a=$a&b=$b&w=$side&shid=identifier>Identifier</a>";
	
	$html = "
        	<table width=100% cellspacing=0 cellpadding=0>";
    
    if ($HTTP_SESSION_VARS[sess_explorer_pane] == 1){
    	$html .= "
    		<tr bgcolor=$t[color_row_dark]>
    			<td><font size=1><b>$hdr_id_link / $hdr_title_link</b></font></td>
    			<td><font size=1><img border=0 src=/images/people.gif><b>$l[owner]</b></font></td>
    			<td><font size=1><img border=0 src=/images/wg.gif><b>$l[wg]</b></font></td>
    			<td><font size=1><img border=0 src=/images/key.gif><b>$l[access]</b></font></td>
    			<td><font size=1><img border=0 src=/images/clock.gif><b>$l[date]</b></font></td>
    		</tr>
    		";
	} else {
		$html .= "
    		<tr bgcolor=$t[color_row_dark] height=16>
    			<td><font size=1><b>$hdr_id_link / $hdr_title_link</b></font></td>
    		</tr>
    		";
	}

    $no = 0;
        		
    // Folders
        		
	if (!isset($_GET[sb]))
		$ob = "NAME";
	else
		$ob = $_GET[sb];
				
	// search?
	if (!empty($q[$side])){
		$strsql = "SELECT folder.*, folder_tree.NODE
   			FROM folder, folder_tree
   			WHERE 
   				folder.PUBLISHER = '$DC_PUBLISHER_ID' AND
   				folder.NAME like '%$q[$side]%' AND
   				folder_tree.NODE = folder.NODE
   			ORDER BY folder.$ob $_GET[so]
   			";
	} else {

		if (($explorer_path[LASTNAME] == "Member") && ($HTTP_SESSION_VARS[sess_gid] > 2)){
			$member_folder = "AND folder.NAME = '$HTTP_SESSION_VARS[sess_email]' ";
		}

	   $strsql = "SELECT folder.*, folder_tree.NODE
   			FROM folder, folder_tree
   			WHERE 
   				folder_tree.PARENT = '$toexpand' AND
   				folder_tree.NODE = folder.NODE
   				$member_folder
   			ORDER BY folder.$ob $_GET[so]
   			LIMIT 0,20";
   
   		/*   				folder.NAME <> 'IndonesiaDLN' AND
   				folder.PUBLISHER = '$DC_PUBLISHER_ID' AND */
   
   }
   
   
	$dbres = mysql_query($strsql);
        		
   if ($dbres){
   
   		$no = 1;
   		while ($row = mysql_fetch_array($dbres)){
   			$no++;
       	$folderlists = explorer_print_folder($no,$row,$side);
        	$html .= $folderlists;		
        }
        
       // display metadata
		$metalists = explorer_metadata_lists($side,$no);
		$html .= $metalists;
	
    } else {
    	stdout_error(mysql_error());
    }
	
	$html .= "</table>";
	
	return $html;
        	
}

// list metadata under the folder
function explorer_metadata_lists($side,$no)
{
	global $HTTP_SESSION_VARS, $DC_PUBLISHER_ID, $q;
	
	if (!empty($q[$side])){
		$strsql = "SELECT metadata.SCHEMA,metadata.IDENTIFIER, metadata.DATEMODIFIED, metadata.WGID,
						metadata.OWNER, metadata.MODE, metadata.PUBLISHER
					FROM metadata,folder_tree
					WHERE
						metadata.IDENTIFIER like '%$q[$side]%' AND 
						folder_tree.STATUS IS NULL AND
						metadata.IDENTIFIER = folder_tree.IDENTIFIER 
					ORDER BY metadata.DATEMODIFIED
					LIMIT 0,20
				";
	
	} else {
		$strsql = "SELECT metadata.SCHEMA,metadata.IDENTIFIER, metadata.DATEMODIFIED, metadata.WGID,
						metadata.OWNER, metadata.MODE, metadata.PUBLISHER
					FROM metadata,folder_tree
					WHERE
						
						metadata.IDENTIFIER = folder_tree.IDENTIFIER AND
						folder_tree.STATUS IS NULL AND
						folder_tree.PARENT = '".$HTTP_SESSION_VARS[sess_explorer_address][$side]."'
					ORDER BY metadata.DATEMODIFIED
					LIMIT 0,20
				";
	}
	
	$dbres = mysql_query($strsql);
	if ($dbres){
		while ($row = mysql_fetch_array($dbres)){
			$no++;
			if (explorer_folder_isread("metadata",$row[IDENTIFIER])){
				$list = explorer_print_metadata($no,$row,$side);
				$html .= $list;
			}
		}
		return $html;
	} else {
		stdout_error(mysql_error());
		return 0;
	}
}

// display folder list
function explorer_print_folder($no,$row,$side)
{
	global $HTTP_SESSION_VARS, $DC_PUBLISHER_ID;
	
			
        	$wgname = explorer_wgname();
        	
        	if ($HTTP_SESSION_VARS[sess_explorer_pane] == 1){
        		$bg_color = stdout_row_bgcolor($no);
        		
        		if ($DC_PUBLISHER_ID == $row[PUBLISHER])	{
        			$add_owner = string_substr($row[OWNER],15);
        		} else {
        			if (empty($row[PUBLISHER]))
        				$add_owner = string_substr($row[OWNER],15);
        			else
        				$add_owner = $row[PUBLISHER];
        		}
        		
        		$explorer_additional_data = "
        			<td bgcolor=$bg_color valign=top><font size=1>
          				$add_owner</font>
          			</td>
          			<td bgcolor=$bg_color valign=top><font size=1>
          				".$wgname["$row[WGID]"]."</font>
          			</td>
          			<td bgcolor=$bg_color valign=top><font size=1>
          				$row[MODE]</font>
          			</td>
          			<td bgcolor=$bg_color valign=top nowrap><font size=1>
          				".substr($row[DATEMODIFIED],0,10)."</font>
          			</td>
        			";
        	} else {
        		$bg_color = stdout_row_bgcolor($no);
        	}
        	
			$folder_link = explorer_folder_link($row,$side);
        	$folder_icon = explorer_folder_icon($row[TYPE]);
        	
       	$html = "
        	<tr >
          		<td bgcolor=$bg_color valign=top nowrap><font size=1><img src=$folder_icon>$folder_link
          			</font>
          		</td>
          		
          		$explorer_additional_data
          		
       	</tr>
        		";
        	
        	return $html;
}

// display metadata list
function explorer_print_metadata($no,$row,$side)
{
	global $HTTP_SESSION_VARS,$DC_PUBLISHER_ID;
	
			
        	$wgname = explorer_wgname();
        	
        	if ($HTTP_SESSION_VARS[sess_explorer_pane] == 1){
        		$bg_color = stdout_row_bgcolor($no);
        		
        		if ($DC_PUBLISHER_ID == $row[PUBLISHER])	
        			$add_owner = string_substr($row[OWNER],15);
        		else
        			$add_owner = $row[PUBLISHER];
        	
        		$explorer_additional_data = "
        			<td bgcolor=$bg_color valign=top><font size=1> 
          				$add_owner</font></td>
          			<td bgcolor=$bg_color valign=top><font size=1> 
          				".$wgname["$row[WGID]"]."</font></td>
          			<td bgcolor=$bg_color valign=top><font size=1> 
          				$row[MODE]</font></td>
          			<td bgcolor=$bg_color valign=top nowrap><font size=1> 
          				".substr($row[DATEMODIFIED],0,10)."</font></td>
        			";
        	} else {
        		$bg_color = stdout_row_bgcolor($no);
        	}
        	
			$meta_link = metadata_link($row,$side);

        	$meta_icon = "<img src=/images/m.gif>";
        	
       	$html = "
        	<tr >
          		<td bgcolor=$bg_color valign=top nowrap>$meta_icon
          			<font size=1 face=arial>$meta_link</font></td>
          		$explorer_additional_data
       	</tr>
        		";
        	
        	return $html;
}

// explorer windows
function explorer_windows($side)
{
	global $t, $l, $HTTP_SESSION_VARS, $a, $b, $w, $folder_delete, $id, $type,$q, $explorer_path;
	
	if (empty($side)) $side = 0;
	
	if ($side == 0 ){

		if ($type == "metadata"){
			$html = "
			<form method=POST action=/office.php?m=explorer&type=metadata&id=$id&b=$b&w=$side>
			<input type=hidden name=action value=metadata_explorer> ";
		} else {
			$html = "
			<form method=POST action=/office.php?m=explorer&a=$a&b=$b&w=$w>
			<input type=hidden name=action value=folder_explorer> ";
		}
	
	}
	
	$explorer_address = $HTTP_SESSION_VARS[sess_explorer_address][$side];
	$explorer_path = explorer_path($explorer_address,$side);
	$explorer_address_up = explorer_address_up($explorer_address);
	
	if ($side == 0)
		$winno = "/images/1.gif";
	else
		$winno = "/images/2.gif";
	
	if ($HTTP_SESSION_VARS[sess_explorer_count_child]){
		$c = 0;
		$str_c = "Hide";
	} else {
		$c = 1;
		$str_c = "Show";
	}
	
	$html .= "
		<table border=1 cellspacing=0 cellpadding=0 width=100% >
         <tr>
         <td width=100% bgcolor=$t[color_light] bordercolor=$t[color_light] bordercolorlight=$t[color_dark]>
         <table border=0 cellspacing=0 cellpadding=0 width=100% >
         	<tr>
         		<td>
         			<small>Search Folder: <input type=text name=q[$side] value=\"$q[$side]\" size=15 style=\"font-family: Arial; font-size: 8pt\"> 
         			<input type=image src=/images/search2.gif border=0></small>
         		</td>
         		<td align=right>
	         		<a href=/office.php?m=explorer&a=$a&b=$b&p=1&w=$side><img src=/images/wsingle.gif border=0 alt=\"$l[single_pane]\"></a>
	         		<a href=/office.php?m=explorer&a=$a&b=$b&p=2><img src=/images/wdouble.gif border=0 alt=\"$l[double_pane]\"></a>
	         		<a href=/office.php?m=explorer&a=$a&b=$b&c=$c><img src=$winno border=0 alt=\"$str_c child number\"></a>
         		</td>
         	</tr>
         </table>
         </td>
         </tr>
       </table>
       
	   <table border=0 width=100% cellspacing=0 cellpadding=2 bgcolor=$t[color_row_dark]>
	   		<tr>
	   			<td><font size=1><b>Address:</b> $explorer_path[NAME]</b> </font></td>
	   		</tr>
	   </table> ";
	   
	   
		// Add, Edit, Delete folder
		
		if (!empty($folder_delete)){
			if (empty($a)) 
				$fid = $id;
			else
				$fid = $a;
				
			$html .= "<font size=1>".explorer_folder_delete($fid,$side,$type)."</font>";
		} elseif (($type == "metadata") && ($side == $w)){
			$html .= form_metadata_edit($id,$side);
		} elseif ((($b == "new")||($b == "edit")) && ($side == $w)){
			$html .= form_folder_edit($a,$side,$explorer_path[NODE]);
		}
		
		// Root Folder  add link for superuser and CKO only
		
		if (($HTTP_SESSION_VARS[sess_explorer_address][$side] == 0) && ($side == 0)){
			
			if (($HTTP_SESSION_VARS[sess_gid] == 1) || ($HTTP_SESSION_VARS[sess_gid] == 2))
			{
				$folder_new_link = "<a href=/office.php?m=explorer&a=".$HTTP_SESSION_VARS[sess_explorer_address][$side]."&b=new&w=$side>";
			}	
		} elseif ($side == 0) {
			
			if (explorer_folder_iswrite("folder",$HTTP_SESSION_VARS[sess_explorer_address][$side]))
			{
				$folder_new_link = "<a href=/office.php?m=explorer&a=".$HTTP_SESSION_VARS[sess_explorer_address][$side]."&b=new&w=$side>";
			}
		}
		
	
		// search or sub folders?
		if (!empty($q[$side])){
			$str_content_title = $l[search_result];
		} else {
			$str_content_title = $l[content];
		}
		
		if ($HTTP_SESSION_VARS[sess_explorer_pane] == 1)
			$width = "width=30%";
		else
			$width = "width=50%";
	
	$html .= "
      <table border=0 width=100% cellspacing=0 cellpadding=0 bgcolor=$t[color_light]>
        <tr>
          <td>
            <table border=1 width=100% cellspacing=0 cellpadding=0>
              <tr>
                <td nowrap width=100% bgcolor=$t[color_dark] bordercolor=$t[color_light] bordercolorlight=$t[color_dark]>
                <font color=#FFFFFF size=2>$l[folder]</font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border=1 width=100% cellspacing=0 cellpadding=0>
              <tr>
                <td width=100% bgcolor=$t[color_dark] bordercolorlight=$t[color_dark] bordercolor=$t[color_light]>
                <font size=2 color=#FFFFFF>$str_content_title</font></td>
              </tr>
            </table>
          </td>
        </tr>
               
        <tr>
        	<td bgcolor=$t[color_row_light]><a href=/office.php?m=explorer&a=".$HTTP_SESSION_VARS[sess_explorer_address_up][$side]."&b=openup&w=$side>
        		<img src=/images/dir_up.gif border=0><font size=1>..</font></a>
        	</td>
        	<td bgcolor=$t[color_row_light]>$folder_new_link
        		<img src=/images/dir_new.gif border=0><font size=1>$l[new]<b>..</b></font></a>
        	</td>
        </tr>
        
        <tr bgcolor=#ffffff>
        	<td valign=top $width >";
        	 
		 $html .= explorer_folder_lists($side);
				
        $html .= "</td>
        	<td valign=top >";
        		
        $html .= explorer_select_content($side);
        		
        $html .= "</td>
        </tr>
      </table>

      
		";
		
		if ($HTTP_SESSION_VARS[sess_explorer_pane] == 2){
			if ($side == 1) $html .= "</form>";
		} else {
			$html .= "</form>";
		}
		
	return $html;
}

// decide what to display on content area
function explorer_select_content($side)
{
	global $HTTP_SESSION_VARS,$b;
	
	if (($b == "expand") || ($HTTP_SESSION_VARS[sess_explorer_address][$side] > 0)){
		$html = explorer_content_lists($side);
	}
	return $html;
}

// show the folder link
function  explorer_folder_link($row,$side)
{
	global $HTTP_SESSION_VARS;
	
	$strfolder = string_substr($row[NAME],18);
	
	if (explorer_folder_iswrite("folder",$row[NODE])){
  		$html = "
  			<a href=/office.php?m=explorer&a=$row[NODE]&b=edit&w=$side><img border=0 src=/images/editsml.gif alt=$l[edit]></a>
   			<a href=/office.php?m=explorer&a=$row[NODE]&b=open&w=$side>$strfolder</a>";
   	} elseif (explorer_folder_isread("folder",$row[NODE])){
   		$html = "
   			<a href=/office.php?m=explorer&a=$row[NODE]&b=open&w=$side>$strfolder</a>";
   	} else {
   		$html = $strfolder;
   	}
   
	return $html;     	
}

// Folder icon
function explorer_folder_icon($type)
{
	switch ($type){
		case "folder":
			return "/images/dir.gif";
		case "ebook":
			return "/images/book_close.gif";
		case "document":
			return "/images/file.gif";
		case "image":
			return "/images/image.gif";
		case "audio":
			return "/images/audio.gif";
		case "video":
			return "/images/video.gif";
		case "organization":
			return "/images/homesml.gif";
		case "personal":
			return "/images/person.gif";
		default:
			return "/images/unknown.gif";
	}
}

// get folder name from folderid
function explorer_folder_name($folderid)
{

	$stredit2 = "SELECT NAME FROM folder WHERE NODE = '$folderid'";
	$dbresedit2 = mysql_query($stredit2);
	if ($dbresedit2){
		if (mysql_num_rows($dbresedit2)>0)
			$folder_edit = mysql_result($dbresedit2,0,"NAME");
	} else {
		stdout_error(mysql_error());
	}
	return $folder_edit;
}

// get folder info from folderid
function explorer_folder_info($folderid)
{

	$strsql = "SELECT * FROM folder WHERE NODE = '$folderid'";
	$dbres = mysql_query($strsql);
	if ($dbres){
		if (mysql_num_rows($dbres)>0){
			$row = mysql_fetch_array($dbres);
			return $row;
		} else {
			return 0;
		}
	} else {
		stdout_error(mysql_error());
		return 0;
	}
}


// Delete folder
function explorer_folder_delete($id,$side, $type)
{
	global $w,$e, $l;
	
	
	if ($side == $w){
		// check auth
		if (empty($type)) $type = "folder";
		
		if (!explorer_folder_iswrite($type,$id)){
			echo $e[access_denied];
			return FALSE;
		}
		
		// is the folder is reserved? Temporary, IndonesiaDLN, Member, Organizations/Organisasi?
		
		if (explorer_folder_isreserved($type,$id)){
			//echo "$e[access_denied] $e[reserved] $l[folder].";
			return FALSE;
		}
		
		// execute
		
		if ($type == "metadata"){
			$strsql = "UPDATE metadata SET STATUS = 'deleted' WHERE IDENTIFIER = '$id'";
			$strsql1 = "UPDATE folder_tree SET STATUS = 'deleted' WHERE IDENTIFIER = '$id'";
			$strsql2 = "UPDATE metadata_xml SET XMLDATA = 'deleted' WHERE IDENTIFIER = '$id'";
			$strsql3 = "DELETE FROM inbox WHERE IDENTIFIER = '$id'";
			$strsql4 = "DELETE FROM outbox WHERE IDENTIFIER = '$id'";
			
		} else {
			$strsql = "DELETE FROM folder WHERE NODE = '$id'";
			$strsql1 = "DELETE FROM folder_tree WHERE NODE = '$id' OR PARENT = '$id'";
		}
		
		if (explorer_folder_isempty($id,$type)){
			$dbres = mysql_query($strsql);
			if ($dbres){
				
				if (isset($strsql2)) $dbres2 = mysql_query($strsql2);
				if (isset($strsql3)) $dbres3 = mysql_query($strsql3);
				if (isset($strsql4)) $dbres4 = mysql_query($strsql4);
				
				$dbres1 = mysql_query($strsql1);
				if ($dbres1) {
					echo ucfirst($type)." $e[deleted] id=$id";
				} else {
					stdout_error(mysql_error());
				}
			} else {
				stdout_error(mysql_error());
			}
		} else {
			echo $e[folder_notempty];
		}
	} 
	
	return;
}

// Check if the folder is empty
function explorer_folder_isempty($folderid,$type)
{

	if ($type == "metadata") return TRUE;

	$strsql = "SELECT count(*) as total FROM folder_tree 
				WHERE PARENT = '$folderid'  AND STATUS IS NULL";
	
	
	$dbres = mysql_query($strsql);
	if ($dbres){
		if (mysql_result($dbres,0,"total")>0){
			return FALSE;
		} else {
			return TRUE;
		}
	} else {
		stdout_error(mysql_error());
		return FALSE;
	}
}

// get Parent path
function explorer_folder_parent_path($folderid)
{
	$strsql = "SELECT PATH FROM folder_tree WHERE NODE = '$folderid'";
	$dbres = mysql_query($strsql);
	if ($dbres){
		if (mysql_num_rows($dbres)>0){
			$path = mysql_result($dbres,0,"PATH");
			return $path;
		} else {
			return NULL;
		}
	} else {
		stdout_error(mysql_error());
		return NULL;
	}
}

// Number sub folder under a folder
function explorer_folder_numchild($folderid)
{
	
	$path = explorer_folder_parent_path($folderid);
	
	if (empty($path)) return 0;
	
	// num child
	$strsql = "SELECT count(*) as total FROM folder_tree 
					WHERE 
						PATH LIKE '$path$folderid/%' AND
						folder_tree.STATUS IS NULL AND
						NODE IS NOT NULL
						";
	$dbres = mysql_query($strsql);
	if ($dbres){
		$num = mysql_result($dbres,0,"total");
		if ($num >0){
			return $num;
		} else {
			return 0;
		}
	} else {
		stdout_error(mysql_error());
		return 0;
	}
}

// Number of metadata under a folder
function explorer_folder_nummeta($folderid)
{
	$path = explorer_folder_parent_path($folderid);
	
	if (empty($path)) return 0;
	
	// num child
	$strsql = "SELECT count(*) as total FROM folder_tree 
					WHERE 
						PATH LIKE '$path$folderid/%' AND
						folder_tree.STATUS IS NULL AND
						IDENTIFIER IS NOT NULL
						";
	$dbres = mysql_query($strsql);
	if ($dbres){
		$num = mysql_result($dbres,0,"total");
		if ($num >0){
			return $num;
		} else {
			return 0;
		}
	} else {
		stdout_error(mysql_error());
		return 0;
	}
}

// Number of metadata directly under a folder
function explorer_folder_nummeta_direct($folderid)
{
	global $id, $idref;
	
	$path = explorer_folder_parent_path($folderid);
	
	if (empty($path)) return 0;
	
	// discussion folder
	
	if ((explorer_node_to_name($folderid) == "Discussion") && (!empty($idref)) ){
		$where_discussion = "IDENTIFIER LIKE '$idref\@%' AND ";
	} elseif (ereg("@",$id)){
		$myid = explode("@",$id);
		$where_discussion = "IDENTIFIER LIKE '$myid[0]\@%' AND ";
	}
		
	// num child
	$strsql = "SELECT count(*) as total FROM folder_tree 
					WHERE 
						$where_discussion
						PARENT = '$folderid' AND
						folder_tree.STATUS IS NULL AND
						IDENTIFIER IS NOT NULL AND
						IDENTIFIER <> ''
						";
	$dbres = mysql_query($strsql);
	if ($dbres){
		$num = mysql_result($dbres,0,"total");
		if ($num >0){
			return $num;
		} else {
			return 0;
		}
	} else {
		stdout_error(mysql_error());
		return 0;
	}
}

// Check  access mode
function explorer_folder_isread($type,$id)
{
	global $HTTP_SESSION_VARS;
	
	if ($type == "folder"){
		$folder_info = explorer_folder_info($id);
	} elseif ($type == "metadata"){
		$folder_info = metadata_info($id);
	}
	
	// is the administrator (superuser / cko) ?
	if (($HTTP_SESSION_VARS[sess_gid] == 1) || ($HTTP_SESSION_VARS[sess_gid] == 2)){
		return TRUE;
	}
	
	// is the owner?
	if ($HTTP_SESSION_VARS[sess_email] == $folder_info[OWNER]){
		if (substr($folder_info[MODE],0,1) == "r") 
			return TRUE;
		else
			return FALSE;
	
	// is the workgroup
	} elseif (explorer_user_isgroup("$folder_info[WGID]")){
		if (substr($folder_info[MODE],3,1) == "r") 
			return TRUE;
		else
			return FALSE;
	
	// public
	} else {
		if (substr($folder_info[MODE],6,1) == "r") 
			return TRUE;
		else
			return FALSE;
	}
	
}

function explorer_folder_isreserved($type,$id)
{
	if ($type == "folder"){
		$fpath = explorer_path($id,0);
		
		if (($fpath[HIERARCHY] == "//") ||
			($fpath[HIERARCHY] == "/Discussion/") ||
			($fpath[HIERARCHY] == "/Member/") ||
			($fpath[HIERARCHY] == "/Organization/") ||
			($fpath[HIERARCHY] == "/Organisasi/") ||
			($fpath[HIERARCHY] == "/Direktori_Keahlian/") ||
			($fpath[HIERARCHY] == "/Temporary/") ||
			($fpath[HIERARCHY] == "/IndonesiaDLN/"))
		{
			return TRUE;
		} else {
			return FALSE;
		}
	} else {
		return FALSE;
	}
}

function explorer_folder_iswrite($type,$id)
{
	global $HTTP_SESSION_VARS,$DC_PUBLISHER_ID;
	
	if ($type == "folder"){
		$folder_info = explorer_folder_info($id);
		$isreserved = explorer_folder_isreserved("folder",$id);
	} elseif ($type == "metadata"){
		$folder_info = metadata_info($id);
	}
	
	// is local, not from other server?
	if (($DC_PUBLISHER_ID != $folder_info[PUBLISHER]) && !empty($folder_info[PUBLISHER])){
		if ($isreserved){
			// go on
		} else {
			//return FALSE;
		}
	} 
	
	// is the administrator (superuser / cko) ?
	if (($HTTP_SESSION_VARS[sess_gid] == 1) || ($HTTP_SESSION_VARS[sess_gid] == 2)){
		return TRUE;
	}
	
	// is the owner?
	if ($HTTP_SESSION_VARS[sess_email] == $folder_info[OWNER]){
		if (substr($folder_info[MODE],1,1) == "w") 
			return TRUE;
		else
			$auth = FALSE;
	} else {
		$auth = FALSE;
	}
	
	// is the workgroup
	if (!$auth){
		if (explorer_user_isgroup($folder_info[WGID])){
			if (substr($folder_info[MODE],4,1) == "w") 
				return TRUE;
			else
				$auth = FALSE;
		} else {
			$auth = FALSE;
		}
	} else {
		return TRUE;
	}
	
	// public
	if (!$auth){
		if (substr($folder_info[MODE],7,1) == "w") 
			return TRUE;
		else
			return FALSE;
	} else {
		return TRUE;
	}
	
}

// is user workgroup allowed?
function explorer_user_isgroup($wgid)
{
	global $HTTP_SESSION_VARS;
	
	$user_wg = user_workgroups($HTTP_SESSION_VARS[sess_email]);
	if (is_array($user_wg)){
		while (list($key,$val) = each($user_wg)){
			if ($val == $wgid) return TRUE;
		}
	}
	
	return FALSE;
}


// get workgroup id and name
function explorer_wgname()
{

	$wgname[0] = "Private";

	$strsql = "SELECT WGID,NAME FROM workgroup ";
	$dbres = mysql_query($strsql);
	if ($dbres){
		while($row = mysql_fetch_array($dbres)){
			$wgid = $row[WGID];
			$wgname[$wgid] = string_substr($row[NAME],10);
		}
	} else {
		stdout_error(mysql_error());
	}

	return $wgname;
}
// Move documents
function explorer_move_metadata()
{
	global $copyL2R_x, $copyR2L_x, $cboxid, $HTTP_SESSION_VARS,$l;
	
	if (!empty($copyL2R_x)){
		$idlist = $cboxid[0];
		$src = $HTTP_SESSION_VARS[sess_explorer_address][0];
		$dest = $HTTP_SESSION_VARS[sess_explorer_address][1];
	} elseif (!empty($copyR2L_x)) {
		$idlist = $cboxid[1];
		$src = $HTTP_SESSION_VARS[sess_explorer_address][1];
		$dest = $HTTP_SESSION_VARS[sess_explorer_address][0];
	} else {
		return;
	}
	
	
	
	if (is_array($idlist)){
		
		// is destination writable?
		if (!explorer_folder_iswrite("folder",$dest)){
			stdout_error("$l[destination_denied] <b>".explorer_node_to_name($dest)."</b>.");
			return;
		}
		
		while (list($key,$val) = each($idlist)){
			db_metadata_move($val,$src,$dest);
		}
		
	} else {
		stdout_error("No content was selected.");
	}
	
	return;
}
%>