<%
/***************************************************************************
                          image.php  -  function related to image processing
                             -------------------
    begin                : June 14, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 

if (defined ('image_php')) { 
	return; 
} else { 
	define ('image_php', true); 
}

// resize image
function image_resize($img,$scale)
{
	if (eregi(".jpg",$img)){
		$im_src = ImageCreateFromJPEG ("$img");
	} elseif (eregi(".png",$img)){
		$im_src = ImageCreateFromPNG ("$img");
	} else {
		$im_src = ImageCreateFromPNG ("images/img.png");
	}

	$im_src_x = imagesx($im_src);
	$im_src_y = imagesy($im_src);

	$sy = $im_src_y/$im_src_x;
	
	if (empty($scale)) {
		$scale = 40;
	} elseif ($im_src_x <= $scale){
		$scale = $im_src_x;
	}
	
	$im_dst = @ImageCreate ($scale, $sy*$scale)
   	 or die ("Cannot Initialize new GD image stream");
    
	imagecopyresized(
		$im_dst,
		$im_src,
		0,
		0,
		0,
		0,
		$scale,
		$sy*$scale,
		$im_src_x,
		$im_src_y);

	ImagePng ($im_dst);

}

// get icon
function image_icon($img,$s,$mypublisher)
{

	global $DC_PUBLISHER_ID;

	// extension
	$arext = explode(".",$img);
	$ext = $arext[sizeof($arext)-1];
	$ext = strtolower($ext);
    
   $local_copy = "files/$mypublisher/".str_replace("files/","",$img);
   if (file_exists($local_copy)) {
   		$img = $local_copy;
   		$mypublisher = $DC_PUBLISHER_ID;
   }
    
   switch(strtolower($ext)){
   		case "jpg":
   		case "png":
   			if ($DC_PUBLISHER_ID == $mypublisher)
	   			$img_icon = "/thumbnail.php?imgfile=$img&s=$s";
   			else
   				$img_icon = "/images/photo.gif";
   				
   			break;
   		
   		case "gif":
   			if ($DC_PUBLISHER_ID == $mypublisher)
	   			$img_icon = "$img";
   			else
   				$img_icon = "/images/photo.gif";
   			break;
   		
   		case "bmp":
   		case "psd":
   			$img_icon = "/images/photo.gif";
   			break;
   		
   		case "xls":
   			$img_icon = "/images/xls.gif";
   			break;
   		case "rtf":
   		case "doc":
   			$img_icon = "/images/doc.gif";
   			break;
   		
   		case "ps":
   		case "pdf":
   			$img_icon = "/images/pdf.gif";
   			break;
   			
   		case "pot":
   		case "ppt":
   			$img_icon = "/images/ppt.gif";
   			break;
   		
   		case "html":
   		case "htm":
   			$img_icon = "/images/htm.gif";
   			break;
   		
   		case "tgz":
   		case "tar":
   		case "gz":
   		case "tgz":
   		case "zip":
   			$img_icon = "/images/zip.gif";
   			break;
   			
   		case "mp3":
   			$img_icon = "/images/mp3.gif";
   			break;
   			
   		case "dat":
   		case "asf":
   			$img_icon = "/images/mplayer.gif";
   			break;
   		default:
   			$img_icon = "/images/misc.gif";
   }
	return $img_icon;
}
%>