<%
/***************************************************************************
                          mail.php  -  function related to email delivery
                             -------------------
    begin                : Aug 23, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if (defined ('mail_php')) { 
	return; 
} else { 
	define ('mail_php', true); 
}

require_once "functions/stdout.php";

// send email
function mail_send($to, $subject, $message)
{
	global $conf, $DC_PUBLISHER_CKO;
	
	if ($conf[mail_send] == 1){
	
		if (empty($to)|| empty($subject) || empty($message)){
			stdout_error("mail_send(): Incomplete headers.");
			return 0;
		}
	
		$headers  = "From: $DC_PUBLISHER_CKO\r\n";
		
		if (@mail($to, $subject, $message, $headers)){
			return 1;
		} else {
			return 0;
		}
	} else {
		return 0;
	}
}

// generate message
function mail_message($code,$vars)
{
	global $conf;
	
	$msgfile = "src/msg_$code.txt";
	if (file_exists($msgfile)){
		$message = join('',file($msgfile));
		while (list($key,$val) = each($vars)){
			$message = str_replace("#$key#",$val,$message);
		}
		return $message;
	} else {
		stdout_error("mail_message(): Template file <b>$msgfile</b> is not found.");
		return 0;
	}
}

// generate mail prefix
function mail_prefix()
{
	global $conf, $DC_PUBLISHER_ID;
	
	$prefix = "[$conf[network]/$DC_PUBLISHER_ID]";
	
	return $prefix;
}

%>