<%
/***************************************************************************
                  migration.php  -  function related to migration from gdl3.1 to gdl4.0
                             -------------------
    begin                : Sept, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 

if (defined ('migration_php')) { 
	return; 
} else { 
	define ('migration_php', true); 
}

include "conf/publisher.ini";
include "conf/system.conf";
require_once "functions/metadata.php";

// default
function migration_default()
{
	echo "<h3>Instruction</h3>
		Click menu on the left to migrate data.";
	return;
}

// publisher
function migration_publisher()
{
	echo "<h3>Migrating Publishers</h3>";

	// get records from source table
	include "migrate/gdl_source.conf";
	
	$sqlsrc = "SELECT * FROM publisher";
	$dbsrc = mysql_query($sqlsrc);

	// open destination table
	include "migrate/gdl_destination.conf";

	// emptying the destination
	if (mysql_query("DELETE FROM publisher")) echo "-->> Table publisher is emptied";
	
	// ******** insert to new publisher table
	// default value
	
	while ($row = mysql_fetch_array($dbsrc)){
		$no++;
		$strsql = "INSERT INTO publisher (
						DC_PUBLISHER_ID, DC_PUBLISHER_SERIALNO, DC_PUBLISHER_TYPE, DC_PUBLISHER_APPS,
						DC_PUBLISHER, DC_PUBLISHER_ORGNAME, DC_PUBLISHER_HOSTNAME, DC_PUBLISHER_IPADDRESS,
						DC_PUBLISHER_ADMIN, DC_PUBLISHER_CKO, DC_PUBLISHER_CONTACT, DC_PUBLISHER_ADDRESS,
						DC_PUBLISHER_CITY, DC_PUBLISHER_REGION, DC_PUBLISHER_COUNTRY, DC_PUBLISHER_PHONE,
						DC_PUBLISHER_FAX, DC_PUBLISHER_CONNECTION, DC_PUBLISHER_NETWORK, 
						DC_PUBLISHER_HUBSERVER, DC_PUBLISHER_DATEMODIFIED)
					VALUES (
						'".trim($row[DC_PUBLISHER_ID])."',
						'".trim($row[DC_PUBLISHER_SERIALNO])."',
						'$row[DC_PUBLISHER_TYPE]',
						'$row[DC_PUBLISHER_APPS]',
						'".addslashes($row[DC_PUBLISHER])."',
						'".addslashes($row[DC_PUBLISHER_ORGNAME])."',
						'".addslashes($row[DC_PUBLISHER_HOSTNAME])."',
						'".addslashes($row[DC_PUBLISHER_IPADDRESS])."',
						'".addslashes($row[DC_PUBLISHER_ADMIN])."',
						'".addslashes($row[DC_PUBLISHER_CKO])."',
						'".addslashes($row[DC_PUBLISHER_CONTACTNAME])."',
						'".addslashes($row[DC_PUBLISHER_ADDRESS])."',
						'".addslashes($row[DC_PUBLISHER_CITY])."',
						'".addslashes($row[DC_PUBLISHER_REGION])."',
						'".addslashes($row[DC_PUBLISHER_COUNTRY])."',
						'".addslashes($row[DC_PUBLISHER_PHONE])."',
						'".addslashes($row[DC_PUBLISHER_FAX])."',
						'$row[DC_PUBLISHER_CONNECTION]',
						'General',
						'GDLHUB',
						'".date("Y-m-d H:i:s")."'
						)";
	
		$dbres = mysql_query($strsql);
		if ($dbres){
			echo "<br>$no. $row[DC_PUBLISHER_ID] .. ok";
		} else {
			echo "<br>$no. $row[DC_PUBLISHER_ID] .. Error: ".mysql_error();
		}
	}

}

// migrate relation
function migration_relation()
{
	echo "<h3>Migrating Relations</h3>";
	
	// get records from source table
	include "migrate/gdl_source.conf";
	
	$sqlsrc = "SELECT * FROM relation";
	$dbsrc = mysql_query($sqlsrc);

	// open destination table
	include "migrate/gdl_destination.conf";

	// emptying the destination
	if (mysql_query("DELETE FROM relation")) echo "-->>Table relation is emptied";


	// insert new relation

	while ($row = mysql_fetch_array($dbsrc)){
		$x++;
	
		$datemod = date("Y-m-d h:i:s");
		$row[DC_RELATION_DATEMODIFIED] = $datemod;
		$haspath = str_replace("/download.php?f=/","",$row[DC_RELATION_HASURI]);
		$row[DC_RELATION_HASPATH] = $haspath;
	
		echo "<br>$x. $haspath ";
	
		$strsql1 = "INSERT INTO relation (IDENTIFIER, DATEMODIFIED, NO, HASFILENAME, HASPART, 
						HASPATH, HASFORMAT, HASSIZE, HASURI, HASNOTE)
					VALUES (
						'$row[DC_IDENTIFIER]',
						'$datemod',
						'$row[DC_RELATION_NO]',
						'$row[DC_RELATION_HASFILENAME]',
						'$row[DC_RELATION_HASPART]',
						'$haspath',
						'$row[DC_RELATION_HASFORMAT]',
						'$row[DC_RELATION_HASSIZE]',
						'$row[DC_RELATION_HASURI]',
						'')
					";
		//echo "<br>$strsql1";
	
		$dbres1 = mysql_query($strsql1);
		if ($dbres1){
			echo "..success.";
		} else {
			echo mysql_error();
		}

	}

}

// migrate metadata
function migration_metadata()
{
	echo "<h3>Migrating Metadata</h3>";
	
	// get records from source table
	include "migrate/gdl_source.conf";
	
	$sqlsrc = "SELECT * FROM metadata";
	$dbsrc = mysql_query($sqlsrc);

	// open destination table
	include "migrate/gdl_destination.conf";

	// emptying the destination
	if (mysql_query("DELETE FROM metadata")) echo "-->>Table metadata is emptied";
	if (mysql_query("DELETE FROM metadata_xml")) echo "<br>-->>Table metadata_xml is emptied";
	if (mysql_query("DELETE FROM folder")) echo "<br>-->>Table folder is emptied";
	if (mysql_query("DELETE FROM folder_tree")) echo "<br>-->>Table folder_tree is emptied";

	// read metadata

	while ($row = mysql_fetch_array($dbsrc)){
		$x++;
		echo "<p><b>$x. $row[DC_IDENTIFIER]</b>";
		
		// convert datemodified
		$ard = explode("-",$row[DC_DATE_MODIFIED]);
		$datemod = "$ard[0]-$ard[1]-$ard[2] $ard[3]:$ard[4]:00";
		$row[DC_DATE_MODIFIED] = $datemod;
	
		// convert folder/hierarchy
		$old_folder = $row[DC_IDENTIFIER_HIERARCHY];
		$row[DC_IDENTIFIER_HIERARCHY] = str_replace("/IndonesiaDLN/*Institution/$row[DC_PUBLISHER_ID]","",
													$row[DC_IDENTIFIER_HIERARCHY]);
		// convert publisher id
		$row[DC_PUBLISHER] = $row[DC_PUBLISHER_ID];
		
		// ********************* add to metadata table
		$sqlmetadata = "INSERT INTO metadata 
							(
								SCHEMA, IDENTIFIER, DATEMODIFIED, DATE, PUBLISHER, WGID, OWNER,
								MODE, TYPE, RELATION_COUNT
							)
						VALUES 
							(
								'general',
								'$row[DC_IDENTIFIER]',
								'$row[DC_DATE_MODIFIED]',
								'$row[DC_DATE]',
								'$row[DC_PUBLISHER]',
								'0',
								'$row[DC_CONTRIBUTOR_MODIFIEDBY]',
								'rw-r--r-',
								'$row[DC_TYPE]',
								'$row[DC_RELATION_COUNT]'
							) ";
		
		echo "<br>QUERY: $sqlmetadata...";						

		$dbmetadata = mysql_query($sqlmetadata);
	
		if ($dbmetadata){
			echo "..success.";
		
			// ******************* generate metadata xml
	
			$xml = join('',file("schemas/general.xml"));
			$elm = $row;
			$elm[TYPE_SCHEMA] = "general";
		
			reset($elm);
		
			while(list($key,$val) = each($elm)){
				$mykey = str_replace("DC_","",$key);
				$vl = nl2br($val);
				$vl = htmlentities($vl);
				$xml = str_replace("#$mykey#",$vl,$xml);
			
				$frm[$mykey] = $val;
			}
		
			// ******************* append relation
			$xml_rel = metadata_generate_relation($row[DC_IDENTIFIER],$row[DC_RELATION_COUNT]);
			
			//echo "<br><pre>Relation: ".htmlspecialchars($xml_rel)."</pre>";
	
			$xml = str_replace("<relation>#RELATION_EXTERNAL_ENTITIES#</relation>",$xml_rel,$xml);
			$xml = ereg_replace("#[[:alpha:]]+_[[:alpha:]]+#","",$xml);
			$xml = ereg_replace("#[[:alpha:]]+#","",$xml);
		
			$xml = stripslashes($xml);
		
			// ******************* insert metadata_xml
			$sqlmetadataxml = "INSERT INTO metadata_xml 
							VALUES ('$row[DC_IDENTIFIER]','".addslashes($xml)."')";
		
			$dbmetadataxml = mysql_query($sqlmetadataxml);
			if ($dbmetadataxml) {
				echo "<br>Add metadata_xml .. success.";
			} else {
				echo "<br>Add metadata_xml .. Error: ". mysql_error();
			}
		
			// ******************** insert to folder and folder_tree
			$folder = import_check_create_folder($row[DC_PUBLISHER],$row[DC_IDENTIFIER_HIERARCHY]);
			echo "<br>Folder: $old_folder 
					<br>metadata_xml --> $row[DC_IDENTIFIER_HIERARCHY]
					<br>browse folder--> $folder[path]
					<br>Tree = $folder[tree], parent = $folder[parent]";
			
			// ******************** put metadata in a folder
			import_metadata_folder($row[DC_IDENTIFIER],$folder[parent],$folder[tree]);
			
		} else {
			echo mysql_error();
		}

	}

}

// user
function migration_user()
{
	echo "<h3>Migrating Users</h3>";

	// get records from source table
	include "migrate/gdl_source.conf";
	
	$sqlsrc = "SELECT * FROM member";
	$dbsrc = mysql_query($sqlsrc);

	// open destination table
	include "migrate/gdl_destination.conf";

	// emptying the destination
	if (mysql_query("DELETE FROM user")) echo "-->> Table user is emptied";
	
	// ******** insert to new user table
	// default value
	
	while ($row = mysql_fetch_array($dbsrc)){
		$no++;
		if ($row[News] == "no")
			$alert = 0;
		else
			$alert = 1;
			
		$strsql = "INSERT INTO user 
				(
					GID,
					FULL_NAME,
					EMAIL,
					ADDRESS,
					CITY,
					COUNTRY,
					INSTITUTION,
					JOB,
					K_ALERT,
					PASSWORD,
					VALIDATION,
					CONFIRM,
					PUBLISHER,
					DATESTAMP
				)
				VALUES
				(
					'$row[IDGroup]',
					'".addslashes($row[Fullname])."',
					'".trim($row[Email])."',
					'".addslashes($row[Address])."',
					'".addslashes($row[City])."',
					'".addslashes($row[Country])."',
					'".addslashes($row[Institution])."',
					'".addslashes($row[IDJob_Type])."',
					'$alert',
					'$row[Password]',
					'$row[Date_Stamp]',
					'$row[Confirm]',
					'$row[SOURCE_SERVER]',
					'".date("Y-m-d H:i:s",$row[Date_Stamp])."'
				)";
				
	$dbres = mysql_query($strsql);
	if ($dbres){
			echo "<br>$no. $row[Email] .. ok";
		} else {
			echo "<br>$no. $row[Email] .. Error: ".mysql_error();
		}
	}

}

%>