<%
/***************************************************************************
                          error.php  -  function related to error handling
                             -------------------
    begin                : June 15, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if (defined ('error_php')) { 
	return; 
} else { 
	define ('error_php', true); 
}

// Function to display error message
function stdout_error($errmsg)
{
	global $l;

	stdout_print($l[info],$errmsg);
   
   return;
}


// Function to display message
function stdout_print($header, $errmsg)
{
	global $conf,$l,$t;

	$html = "<p>
	<table border=1 cellspacing=0 cellpadding=0>
		<tr>
           <td nowrap width=100% bgcolor=$t[color_dark] bordercolor=$t[color_light] bordercolorlight=$t[color_dark]>
           	<img src=/images/info2.gif> <font size=2 color=#FFFFFF><b>$header &nbsp;</b></font>
           </td>
       </tr>
   </table>
   <table border=0 cellspacing=0 cellpadding=10 width=440>
       <tr>
           <td bgcolor=$t[color_light_more]>$errmsg
           </td>
       </tr>
   </table></p> ";
   
   echo $html;
}

// Function to display help
function stdout_help($errmsg)
{
	global $conf,$l,$t;

	$html = "
	<table border=1 cellspacing=0 cellpadding=0>
		<tr>
           <td width=100% bgcolor=$t[color_dark] bordercolor=$t[color_light] bordercolorlight=$t[color_dark]>
           	&nbsp;<img src=/images/help.gif> <font size=2 color=#FFFFFF><b>$l[documentation]: &nbsp;</b></font>
           </td>
       </tr>
   </table>
   <table border=0 cellspacing=0 cellpadding=10 width=440>
       <tr>
           <td bgcolor=$t[color_light_more]>$errmsg
           </td>
       </tr>
   </table> ";
   
   echo $html;
}

// Function to display confirmation
function stdout_confirm($errmsg)
{
	global $conf,$l,$t;

	$html = "<p>
	<table border=1 cellspacing=0 cellpadding=0>
		<tr>
           <td width=100% bgcolor=$t[color_dark] bordercolor=$t[color_light] bordercolorlight=$t[color_dark]>
           	&nbsp;<img src=/images/help.gif> <font size=2 color=#FFFFFF><b>$l[confirm]: &nbsp;</b></font>
           </td>
       </tr>
   </table>
   <table border=0 cellspacing=0 cellpadding=10 width=440>
       <tr>
           <td bgcolor=$t[color_light_more]>$errmsg
           </td>
       </tr>
   </table></p> ";
   
   echo $html;
}

// Function to display tab title
function stdout_tab_title($title,$image)
{
	global $t;
	
	$html = "<table border=1 cellspacing=0 cellpadding=0>
         <tr>
         <td nowrap bgcolor=$t[color_dark] bordercolor=$t[color_light] 
         bordercolorlight=$t[color_dark]>
         <img border=0 src=$image>
         <font size=2 color=#FFFFFF><b>$title</b>&nbsp;&nbsp;</font>
         </td>
         </tr>
       </table>";

	echo $html;

}

// Function to display row background  color
function stdout_row_bgcolor($no)
{
	global $t;
	
	if (is_int($no/2))
   		$bg_color = $t[color_row_light];
   	else
      	$bg_color = $t[color_row_dark];

	return $bg_color; 					
}

// Header of HTML with redirection
function stdout_header_redirect($sec,$url)
{
	$html = 
"<html>
<head>
<META HTTP-EQUIV=Refresh CONTENT=\"$sec; URL=$url\">
<title>Redirection</title>".join('',file("src/style.inc"))."
</head>
<body>";

	return $html;

}

// 
function stdout_show_response($response)
{
	global $conf;
	
	if ($conf[sync_show_response] == 1){
		echo "<h3>Show Response Format</h3>";
		$response = wordwrap($response,90);
		echo "<table border=0 cellspacing=2 bgcolor=#FFFFDD><tr><td>
			<pre>".htmlspecialchars($response)."</pre></td></tr></table>";
	}
	return;
}

%>
