<%
function generateElement($start_elm)
{
	reset($start_elm);
	
	while(list($key,$val) = each($start_elm)){
		if (empty($elm))
			$elm = $val;
		else
			$elm .= "_$val";
	}
	return $elm;
}

function startElement($parser, $name, $attribs) {
	global $start_elm, $elm, $buff_data, $xres;
	
	$buff_data = "";
	
	if (is_array($start_elm)){
		$level = sizeof($start_elm);
	} else {
		$level = 0;
	}
	
	if ($level == 0) {
		$xres = "";
		echo "reseett...";
	}
	
	$start_elm[$level] = $name;
	
	// construct element path
	$elm = generateElement($start_elm);
    
}

function endElement($parser, $name) {
	global $start_elm, $elm, $buff_data, $xres;

	$elm2 = generateElement($start_elm);
	if ($elm == $elm2){
		$elm3 = str_replace("DC_","",$elm);
		$xres[$elm3][] = $buff_data;
	}
	array_pop($start_elm);
	
	if (sizeof($start_elm) == 0) unset($start_elm);
}

function characterData($parser, $data) {
	global $buff_data;
	
	$buff_data .= trim($data);
	
	print "$data\n";
	
}

function cleanupXML($xml_data)
{
	$trans_1 = get_html_translation_table(HTML_ENTITIES);
	$trans_2 = get_html_translation_table(HTML_SPECIALCHARS);
	$trans = array_diff($trans_1,$trans_2);
	$trans = array_flip($trans);

	$data = strtr($xml_data,$trans);
	
	return $data;
}


function readXML($xml_data)
{
	global $xres;

	$xml_parser = xml_parser_create();
	// use case-folding so we are sure to find the tag in $map_array
	xml_parser_set_option($xml_parser, XML_OPTION_CASE_FOLDING, true);
	xml_set_element_handler($xml_parser, "startElement", "endElement");
	xml_set_character_data_handler($xml_parser, "characterData");

	if (empty($xml_data)) {
    	die("XML input is empty");
	} else {
		$data = cleanupXML($xml_data);
	}
	
	
   	if (!xml_parse($xml_parser, $data)) {
        	die(sprintf("XML error: %s at line %d",
                    xml_error_string(xml_get_error_code($xml_parser)),
                    xml_get_current_line_number($xml_parser)));
          
    } 

	xml_parser_free($xml_parser);
	
	return $xres;
	
}


function xml_open($file)
{
	global $xres;

	$xml_parser = xml_parser_create();
	// use case-folding so we are sure to find the tag in $map_array
	xml_parser_set_option($xml_parser, XML_OPTION_CASE_FOLDING, true);
	xml_set_element_handler($xml_parser, "startElement", "endElement");
	xml_set_character_data_handler($xml_parser, "characterData");

	if (!($fp = fopen($file, "r"))) {
    	die("could not open XML input");
	}

	while ($data = fread($fp, 4096)) {
	   	if (!xml_parse($xml_parser, $data, feof($fp))) {
        	die(sprintf("XML error: %s at line %d",
                    xml_error_string(xml_get_error_code($xml_parser)),
                    xml_get_current_line_number($xml_parser)));
          
    	}
	}
	
	xml_parser_free($xml_parser);
	
	return $xres;
	
}

%>
