<%
/***************************************************************************
                          login.php  -  login main page
                             -------------------
    begin                : June 14, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

// Read configuration
include "conf/system.conf";

// Load functions
require_once "functions/db.php";
require_once "functions/sessions.php";
require_once "functions/browse.php";


// is no login?
if ($_SERVER[REMOTE_ADDR] == $conf[trusted_host]){
	
	// is already created?
	if ($HTTP_SESSION_VARS[sess_email] == "system@localhost") {
		Header("Location: $_SERVER[HTTP_REFERER]");
	} else {
		session_create("system@localhost", "System","My Institution",$DC_PUBLISHER_ID,1);
		Header("Location: $_SERVER[HTTP_REFERER]");
	}
	exit;
}


if ($_POST["login"]){
	$auth = db_login($_POST["account"],$_POST["password"]);
}

switch ($_GET["login"]){
	case "off":
		session_destroy();
		Header("Location: /login.php?login=init");
		exit;
		break;
	case "init":
		session_init();
		break;

}

// Required variables by template
$title = $l[login];
$header = "src/header.inc";
$menu = "guest";

if ($auth){
	if (isset($HTTP_SESSION_VARS[sess_login_redir]))
		Header("Location: $HTTP_SESSION_VARS[sess_login_redir]");
	else
		Header("Location:/go.php");
	exit;
} else {
	$login_action = "/login.php";
	$content = "forms/form_login.inc";
}

// generate
include "template/header_menu_content.html";

//phpinfo();
session_logging();
%>

