<%
/***************************************************************************
                          mod_bookmark.inc -  module bookmark administration
                             -------------------
    begin                : Aug 23, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

$modname = "bookmark";

$gid = $mod[gid][$modname];

if (!module_auth($gid,$modname)) {
	return;
};

require_once "functions/metadata.php";
require_once "functions/bookmark.php";
require_once "functions/stdout.php";

if (isset($id)) bookmark_add($id);

if (is_array($frm)){
	switch($B){
		case "Delete":
			bookmark_delete();
			break;
		case "Move to Request":
			bookmark_request();
			break;
		case "Move to Bookmark":
			bookmark_rebookmark();
			break;
	}
}

%>
	<form method="POST" action="/office.php?m=bookmark">
	
		<!-- Tab title -->
		
		<%
		stdout_tab_title($l[mod_bookmark],"/images/bookmark.gif");
		%>
		
      <table border="0" width="100%" cellspacing="0" cellpadding="1" bgcolor="<%=$t[color_light]%>">
        <tr>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" bgcolor="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>" bordercolorlight="<%=$t[color_dark]%>">
                <font color="#FFFFFF" size="2"><%=$l[no]%></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td nowrap width="100%" bgcolor="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>" bordercolorlight="<%=$t[color_dark]%>">
                <font color="#FFFFFF" size="2"><%=$l[title]%></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF"><%=$l[author]%></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td nowrap width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF"><%=$l[institution]%></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td nowrap width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF"><%=$l[date]%></font></td>
              </tr>
            </table>
          </td>
           <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td nowrap width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF"><%=$l[location]%></font></td>
              </tr>
            </table>
          </td>
        </tr>
        <%
        		$strsql = "SELECT * FROM bookmark 
        						WHERE USER = '$HTTP_SESSION_VARS[sess_email]' AND REQUEST IS NULL";
        		$dbres = mysql_query($strsql);
        		if ($dbres){
        			while($row = mysql_fetch_array($dbres)){
        				$no++;
       				if (is_int($no/2))
        					$bg_color = $t[color_row_light];
        				else
        					$bg_color = $t[color_row_dark];
        				
        				$xml = metadata_read_db($row[IDENTIFIER]);
        				
        				$bmrk_title = $xml[TITLE];
        				$bmrk_author = $xml[CREATOR];
        				$bmrk_institution =  $xml[CREATOR_ORGNAME];
        				$bmrk_date	= $xml[DATE];
        				$bmrk_location = $xml[PUBLISHER];
        				
        				echo "
        <tr>
          <td bgcolor=$bg_color valign=top align=center><font size=1>$no
          	<input type=checkbox name=frm[] value=$row[ID]></font></td>
          <td bgcolor=$bg_color valign=top><font size=1><b><a href=/go.php?id=$row[IDENTIFIER]>$bmrk_title</a></font></td>
          <td bgcolor=$bg_color valign=top><font size=1>$bmrk_author</font></td>
          <td bgcolor=$bg_color valign=top><font size=1>$bmrk_institution</font></td>
          <td bgcolor=$bg_color valign=top><font size=1>$bmrk_date</font></td>
          <td bgcolor=$bg_color valign=top><font size=1>$bmrk_location</font></td>
        </tr>
        				
        						";
        				
        			}    			
        		} else {
        			stdout_error("mod_bookmark: ".mysql_error());
				}

        	
        %>
        
      </table>
<img border="0" src="../images/arrow_ltr.gif" width="38" height="22"><input type="submit" value="Delete" name="B">
 <input type="submit" value="Move to Request" name="B">

		<br><br>
		
		<%
		stdout_tab_title($l[request_tracking],"/images/bookmark.gif");
		%>
		
      <table border="0" width="100%" cellspacing="0" cellpadding="1" bgcolor="<%=$t[color_light]%>">
        <tr>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" bgcolor="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>" bordercolorlight="<%=$t[color_dark]%>">
                <font color="#FFFFFF" size="2"><%=$l[no]%></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td nowrap width="100%" bgcolor="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>" bordercolorlight="<%=$t[color_dark]%>">
                <font color="#FFFFFF" size="2"><%=$l[title]%></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF"><%=$l[author]%></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td nowrap width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF"><%=$l[send]%></font></td>
              </tr>
            </table>
          </td>
           <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td nowrap width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF"><%=$l[comment]%></font></td>
              </tr>
            </table>
          </td>
        </tr>
        <%
        		$strsql = "SELECT * FROM bookmark 
        						WHERE USER = '$HTTP_SESSION_VARS[sess_email]' AND REQUEST = '1' ORDER BY DATESTAMP DESC";
        		$dbres = mysql_query($strsql);
        		if ($dbres){
        			$no = 0;
        			while($row = mysql_fetch_array($dbres)){
        				$no++;
       				if (is_int($no/2))
        					$bg_color = $t[color_row_light];
        				else
        					$bg_color = $t[color_row_dark];
        				
        				$xml = metadata_read_db($row[IDENTIFIER]);
        				
        				$bmrk_title = $xml[TITLE];
        				if (empty($bmrk_title)) $bmrk_title = $row[IDENTIFIER];
        				
        				$bmrk_author = $xml[CREATOR];
        				$bmrk_institution =  $xml[CREATOR_ORGNAME];
        				$bmrk_date	= $row[DATESTAMP];
        				$bmrk_response = $row[RESPONSE];
        				
        				if (empty($bmrk_response)){
        					$bmrk_response = "Not yet";
        				}
        				
        				echo "
        <tr>
          <td bgcolor=$bg_color valign=top align=center><font size=1>$no
          	<input type=checkbox name=frm[] value=$row[ID]></font></td>
          <td bgcolor=$bg_color valign=top><font size=1><b><a href=/go.php?id=$row[IDENTIFIER]>$bmrk_title</a></font></td>
          <td bgcolor=$bg_color valign=top><font size=1>$bmrk_author</font></td>
          <td bgcolor=$bg_color valign=top><font size=1>$bmrk_date</font></td>
          <td bgcolor=$bg_color valign=top><font size=1><a href=\"javascript:openDocumentWindow('/response.php?no=$row[ID]')\">$bmrk_response</a></font></td>
        </tr>
        				
        						";
        				
        			} 			
        		} else {
        			stdout_error("mod_bookmark: ".mysql_error());
				}

        	
        %>
        
      </table>
 		<img border="0" src="../images/arrow_ltr.gif" width="38" height="22"><input type="submit" value="Delete" name="B">
		<input type="submit" value="Move to Bookmark" name="B">
 
 </form>
