<%
/***************************************************************************
                          mod_configure.inc -  system configuration tools
                             -------------------
    begin                : June 21, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

$modname = "configure";
$gid = "1";

if (!module_auth($gid,$modname)) {
	return;
};

require_once "functions/configure.php";
require_once "functions/stdout.php";
require_once "functions/form.php";

// select configuration step to be displayed


if (empty($step)){
	$configure_file = "forms/form_configure_selection.inc";
} else {
	switch ($step){
		case "1":
			if ($form_sent){
				$configure_file_validation = "forms/form_configure_step1_validate.inc";
				if (file_exists($configure_file_validation)){
					if (form_is_valid($frm,$configure_file_validation)){
						$configure_file = "src/configure_publisher.inc";
					} else {
						stdout_error($e[form_invalid]);
						$configure_file = "forms/form_configure_step1.inc";
					}
				} else {
					$errmsg = "Error: File <b>$configure_file_validation</b> $e[notfound]";
					stdout_error($errmsg);
				}

			} else {
				$configure_file = "forms/form_configure_step1.inc";
			}
			break;
		case "2":
			if ($form_sent){
				
				if (empty($frm[PERPAGE])) $frm[PERPAGE] = $conf[perpage_def];
				if (empty($frm[PERPAGE_SEARCH])) $frm[PERPAGE_SEARCH] = $conf[perpage_search_def];
				
				$local_conf = 
"<%
# Automatically generated on ".date("Y-m-d H:i:s")."
# by $HTTP_SESSION_VARS[sess_email]
\$conf[langid] 	= \"$frm[LANGUAGE]\";
\$conf[themeid] 	= \"$frm[THEME]\";
\$conf[cache_expire] = \"$frm[CACHE_EXPIRE]\";
\$conf[perpage] = \"$frm[PERPAGE]\";
\$conf[perpage_search] = \"$frm[PERPAGE_SEARCH]\";
\$conf[trusted_host] = \"$frm[TRUSTED_HOST]\";
%>";
				$fp = fopen("conf/local.conf","w");
				fputs($fp,$local_conf);
				fclose($fp);
				
				include "conf/local.conf";
			} 
			$configure_file = "forms/form_configure_step2.inc";
			
			break;
	}
}


if (file_exists($configure_file) && !empty($configure_file)){
	include $configure_file;
} else {
	stdout_error("Error: File <b>$configure_file</b> $e[notfound]");
}

%>
        
<p>&nbsp;</p>

