# phpMyAdmin MySQL-Dump
# version 2.2.5-rc1
# http://phpwizard.net/phpMyAdmin/
# http://phpmyadmin.sourceforge.net/ (download page)
#
# Host: localhost
# Generation Time: Mar 05, 2003 at 02:25 PM
# Server version: 3.23.32
# PHP Version: 4.1.1
# Database : `gdl40node`
# --------------------------------------------------------

#
# Table structure for table `access_log`
#

CREATE TABLE access_log (
  ID int(9) NOT NULL auto_increment,
  DATESTAMP datetime default NULL,
  PHPSESSID varchar(32) default NULL,
  IPADDRESS varchar(15) default NULL,
  USER varchar(30) default NULL,
  PUBLISHER varchar(20) NOT NULL default '',
  URL varchar(255) default NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `access_log`
#

# --------------------------------------------------------

#
# Table structure for table `bookmark`
#

CREATE TABLE bookmark (
  ID int(5) NOT NULL auto_increment,
  DATESTAMP datetime default NULL,
  USER varchar(50) default NULL,
  IDENTIFIER varchar(100) default NULL,
  REQUEST tinyint(1) default NULL,
  RESPONSE varchar(255) default NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `bookmark`
#

# --------------------------------------------------------

#
# Table structure for table `cache`
#

CREATE TABLE cache (
  ID int(9) NOT NULL auto_increment,
  MODULE varchar(20) default NULL,
  PAGE varchar(20) default NULL,
  LANGUAGE char(3) default NULL,
  VIEW tinyint(10) default NULL,
  DATESTAMP int(10) default NULL,
  DATA text,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `cache`
#

# --------------------------------------------------------

#
# Table structure for table `folder`
#

CREATE TABLE folder (
  NODE int(8) NOT NULL auto_increment,
  TYPE varchar(20) default 'folder',
  NAME varchar(50) default NULL,
  OWNER varchar(60) default NULL,
  WGID int(3) default '0',
  MODE varchar(8) default 'rw-r--r-',
  DATEMODIFIED datetime default NULL,
  PUBLISHER varchar(20) default NULL,
  PRIMARY KEY (NODE)
) TYPE=MyISAM;

#
# Dumping data for table `folder`
#

# --------------------------------------------------------

#
# Table structure for table `folder_tree`
#

CREATE TABLE folder_tree (
  ID int(7) NOT NULL auto_increment,
  PARENT int(8) default NULL,
  NODE int(8) default NULL,
  IDENTIFIER varchar(100) default NULL,
  PATH varchar(100) default NULL,
  PATH_OLD varchar(255) default NULL,
  STATUS varchar(8) default NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `folder_tree`
#

# --------------------------------------------------------

#
# Table structure for table `inbox`
#

CREATE TABLE inbox (
  ID int(9) NOT NULL auto_increment,
  TYPE varchar(8) default NULL,
  IDENTIFIER varchar(100) NOT NULL default 'id',
  STATUS varchar(8) default NULL,
  FOLDER varchar(8) default NULL,
  DATEMODIFIED datetime default NULL,
  PRIMARY KEY (ID),
  UNIQUE KEY IDENTIFIER(IDENTIFIER)
) TYPE=MyISAM;

#
# Dumping data for table `inbox`
#

# --------------------------------------------------------

#
# Table structure for table `metadata`
#

CREATE TABLE metadata (
  ID int(10) NOT NULL auto_increment,
  SCHEMA varchar(20) default 'etd',
  IDENTIFIER varchar(100) NOT NULL default '00',
  DATEMODIFIED datetime default '0000-00-00 00:00:00',
  DATE date default '0000-00-00',
  PUBLISHER varchar(20) default 'JBPTITB',
  WGID int(3) default '0',
  OWNER varchar(60) default 'name@email.ac.id',
  MODE varchar(8) default 'rw-r--r-',
  TYPE varchar(50) default 'theses',
  RELATION_COUNT int(2) default '0',
  STATUS varchar(8) default NULL,
  PRIMARY KEY (ID),
  UNIQUE KEY IDENTIFIER(IDENTIFIER)
) TYPE=MyISAM;

#
# Dumping data for table `metadata`
#

# --------------------------------------------------------

#
# Table structure for table `metadata_xml`
#

CREATE TABLE metadata_xml (
  IDENTIFIER varchar(100) NOT NULL default '0',
  XMLDATA text,
  PRIMARY KEY (IDENTIFIER)
) TYPE=MyISAM;

#
# Dumping data for table `metadata_xml`
#

# --------------------------------------------------------

#
# Table structure for table `outbox`
#

CREATE TABLE outbox (
  ID int(9) NOT NULL auto_increment,
  TYPE varchar(8) default NULL,
  IDENTIFIER varchar(100) NOT NULL default 'id',
  STATUS varchar(8) default NULL,
  FOLDER varchar(8) default NULL,
  DATEMODIFIED datetime default NULL,
  PRIMARY KEY (ID),
  UNIQUE KEY IDENTIFIER(IDENTIFIER)
) TYPE=MyISAM;

#
# Dumping data for table `outbox`
#

# --------------------------------------------------------

#
# Table structure for table `publisher`
#

CREATE TABLE publisher (
  IDPUBLISHER int(3) NOT NULL auto_increment,
  DC_PUBLISHER_ID varchar(15) NOT NULL default 'DEFAULT',
  DC_PUBLISHER_SERIALNO varchar(30) default NULL,
  DC_PUBLISHER_TYPE varchar(15) default NULL,
  DC_PUBLISHER_APPS varchar(16) default NULL,
  DC_PUBLISHER varchar(50) default NULL,
  DC_PUBLISHER_ORGNAME varchar(50) default NULL,
  DC_PUBLISHER_HOSTNAME varchar(50) default NULL,
  DC_PUBLISHER_IPADDRESS varchar(15) default NULL,
  DC_PUBLISHER_ADMIN varchar(50) default NULL,
  DC_PUBLISHER_CKO varchar(50) default NULL,
  DC_PUBLISHER_CONTACT varchar(100) default NULL,
  DC_PUBLISHER_ADDRESS varchar(150) default NULL,
  DC_PUBLISHER_CITY varchar(64) default NULL,
  DC_PUBLISHER_REGION varchar(64) default NULL,
  DC_PUBLISHER_COUNTRY varchar(64) default NULL,
  DC_PUBLISHER_PHONE varchar(30) default NULL,
  DC_PUBLISHER_FAX varchar(30) default NULL,
  DC_PUBLISHER_CONNECTION varchar(10) default NULL,
  DC_PUBLISHER_NETWORK varchar(20) default NULL,
  DC_PUBLISHER_HUBSERVER varchar(15) default 'DEFAULT',
  DC_PUBLISHER_DATEMODIFIED datetime default NULL,
  PRIMARY KEY (IDPUBLISHER),
  UNIQUE KEY DC_PUBLISHER_ID(DC_PUBLISHER_ID)
) TYPE=MyISAM;

#
# Dumping data for table `publisher`
#

# --------------------------------------------------------

#
# Table structure for table `rel_module_user`
#

CREATE TABLE rel_module_user (
  ID int(4) NOT NULL auto_increment,
  MODNAME varchar(20) default NULL,
  EMAIL varchar(60) default NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `rel_module_user`
#

INSERT INTO rel_module_user VALUES (1, 'request', 'user@localhost');
# --------------------------------------------------------

#
# Table structure for table `rel_workgroup_user`
#

CREATE TABLE rel_workgroup_user (
  ID int(5) NOT NULL auto_increment,
  WGID int(3) default NULL,
  EMAIL varchar(60) default NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `rel_workgroup_user`
#

# --------------------------------------------------------

#
# Table structure for table `relation`
#

CREATE TABLE relation (
  ID int(4) NOT NULL auto_increment,
  IDENTIFIER varchar(100) default NULL,
  DATEMODIFIED datetime default NULL,
  NO int(2) default NULL,
  HASFILENAME varchar(150) default NULL,
  HASPART varchar(150) default NULL,
  HASPATH varchar(150) default NULL,
  HASFORMAT varchar(50) default NULL,
  HASSIZE varchar(10) default NULL,
  HASURI varchar(255) default NULL,
  HASNOTE varchar(255) default NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `relation`
#

# --------------------------------------------------------

#
# Table structure for table `user`
#

CREATE TABLE user (
  UID int(5) NOT NULL auto_increment,
  GID int(1) NOT NULL default '4',
  FULL_NAME varchar(50) default NULL,
  EMAIL varchar(60) NOT NULL default 'email@com',
  ADDRESS varchar(100) default NULL,
  CITY varchar(20) default NULL,
  COUNTRY varchar(20) default NULL,
  INSTITUTION varchar(50) default NULL,
  JOB varchar(40) default NULL,
  K_ALERT tinyint(1) NOT NULL default '0',
  PASSWORD varchar(18) default NULL,
  VALIDATION varchar(11) default NULL,
  CONFIRM tinyint(1) default '0',
  PUBLISHER varchar(20) default NULL,
  DATESTAMP datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY (UID),
  UNIQUE KEY EMAIL(EMAIL)
) TYPE=MyISAM;

#
# Dumping data for table `user`
#

INSERT INTO user VALUES (1, 1, 'Superuser GDL', 'superuser@localhost', 'Your Address', 'Your City', 'Indonesia', 'Your  Institution Name', '9', 0, '1e0c530062ec7e17', '989038413', 1, 'DEFAULT', '2001-05-05 11:53:33');
INSERT INTO user VALUES (7, 4, 'Fulan bin Bulan', 'user@localhost', 'Local address', 'Local city', 'Local country', 'Institution', '8', 0, '1a486e7929011a28', '1045408031', 1, 'GDLHUB', '2003-02-16 22:07:11');
# --------------------------------------------------------

#
# Table structure for table `workgroup`
#

CREATE TABLE workgroup (
  WGID int(3) NOT NULL auto_increment,
  NAME varchar(50) NOT NULL default '0',
  DESCRIPTION varchar(255) default NULL,
  STATUS tinyint(1) NOT NULL default '0',
  PRIMARY KEY (WGID),
  UNIQUE KEY NAME(NAME)
) TYPE=MyISAM;

#
# Dumping data for table `workgroup`
#

INSERT INTO workgroup VALUES (1, 'CKO', 'Group tim pengelola informasi dalam digital library ini.', 1);

