# phpMyAdmin MySQL-Dump
# version 2.2.5-rc1
# http://phpwizard.net/phpMyAdmin/
# http://phpmyadmin.sourceforge.net/ (download page)
#
# Host: localhost
# Generation Time: Jul 18, 2002 at 12:00 PM
# Server version: 3.23.32
# PHP Version: 4.1.1
# Database : `agriknow`
# --------------------------------------------------------

#
# Table structure for table `folder`
#

DROP TABLE IF EXISTS folder;
CREATE TABLE folder (
  NODE int(5) NOT NULL auto_increment,
  TYPE varchar(20) default 'folder',
  NAME varchar(50) default NULL,
  OWNER varchar(60) default NULL,
  WGID int(3) default '0',
  MODE varchar(8) default 'rw-r--r-',
  DATEMODIFIED datetime default NULL,
  PUBLISHER varchar(20) default NULL,
  PRIMARY KEY (NODE)
) TYPE=MyISAM;

#
# Dumping data for table `folder`
#

INSERT INTO folder VALUES (1, 'folder', 'Temporary', 'superuser@localhost', 0, 'rw-rw-rw', '2002-07-09 08:27:43', NULL);
INSERT INTO folder VALUES (2, 'folder', 'Member', 'superuser@localhost', 0, 'rw-r--r-', '2002-07-09 08:50:07', NULL);
INSERT INTO folder VALUES (3, 'folder', 'Direktori_Keahlian', 'superuser@localhost', 0, 'rw-r--r-', '2002-07-09 08:52:41', NULL);
INSERT INTO folder VALUES (4, 'folder', 'IndonesiaDLN', 'superuser@localhost', 0, 'rw-r--r-', '2002-07-09 08:52:41', NULL);
# --------------------------------------------------------

#
# Table structure for table `folder_tree`
#

DROP TABLE IF EXISTS folder_tree;
CREATE TABLE folder_tree (
  ID int(7) NOT NULL auto_increment,
  PARENT int(5) default NULL,
  NODE varchar(150) default NULL,
  IDENTIFIER varchar(100) default NULL,
  PATH varchar(100) default NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `folder_tree`
#

INSERT INTO folder_tree VALUES (1, 0, '1', NULL, '0/');
INSERT INTO folder_tree VALUES (2, 0, '2', NULL, '0/');
INSERT INTO folder_tree VALUES (3, 0, '3', NULL, '0/');
INSERT INTO folder_tree VALUES (4, 0, '4', NULL, '0/');
# --------------------------------------------------------

#
# Table structure for table `metadata`
#

DROP TABLE IF EXISTS metadata;
CREATE TABLE metadata (
  ID int(10) NOT NULL auto_increment,
  SCHEMA varchar(20) default 'etd',
  IDENTIFIER varchar(100) default NULL,
  DATEMODIFIED datetime default '0000-00-00 00:00:00',
  DATE date default '0000-00-00',
  PUBLISHER varchar(20) default 'JBPTITB',
  WGID int(3) default '0',
  OWNER varchar(60) default 'name@email.ac.id',
  MODE varchar(8) default 'rw-r--r-',
  TYPE varchar(50) default 'theses',
  RELATION_COUNT int(2) default '0',
  PRIMARY KEY (ID),
  UNIQUE KEY IDENTIFIER(IDENTIFIER)
) TYPE=MyISAM;

#
# Dumping data for table `metadata`
#

# --------------------------------------------------------

#
# Table structure for table `metadata_xml`
#

DROP TABLE IF EXISTS metadata_xml;
CREATE TABLE metadata_xml (
  IDENTIFIER varchar(100) NOT NULL default '0',
  XMLDATA text,
  PRIMARY KEY (IDENTIFIER)
) TYPE=MyISAM;

#
# Dumping data for table `metadata_xml`
#

# --------------------------------------------------------

#
# Table structure for table `publisher`
#

DROP TABLE IF EXISTS publisher;
CREATE TABLE publisher (
  IDPUBLISHER int(3) NOT NULL auto_increment,
  DC_PUBLISHER_ID varchar(15) default NULL,
  DC_PUBLISHER_SERIALNO varchar(30) default NULL,
  DC_PUBLISHER_TYPE varchar(15) default NULL,
  DC_PUBLISHER_APPS varchar(5) default NULL,
  DC_PUBLISHER varchar(50) default NULL,
  DC_PUBLISHER_ORGNAME varchar(50) default NULL,
  DC_PUBLISHER_HOSTNAME varchar(50) default NULL,
  DC_PUBLISHER_IPADDRESS varchar(15) default NULL,
  DC_PUBLISHER_PROTOCOL varchar(5) default NULL,
  DC_PUBLISHER_ADMIN varchar(50) default NULL,
  DC_PUBLISHER_CKO varchar(50) default NULL,
  DC_PUBLISHER_CONTACTNAME varchar(100) default NULL,
  DC_PUBLISHER_ADDRESS varchar(150) default NULL,
  DC_PUBLISHER_PHONE varchar(30) default NULL,
  DC_PUBLISHER_FAX varchar(30) default NULL,
  DC_PUBLISHER_POSTMASTER varchar(50) default NULL,
  DC_PUBLISHER_FILTER varchar(255) default NULL,
  DC_PUBLISHER_CONNECTION varchar(10) default NULL,
  PRIMARY KEY (IDPUBLISHER),
  UNIQUE KEY DC_PUBLISHER_ID(DC_PUBLISHER_ID)
) TYPE=MyISAM;

#
# Dumping data for table `publisher`
#

# --------------------------------------------------------

#
# Table structure for table `rel_module_user`
#

DROP TABLE IF EXISTS rel_module_user;
CREATE TABLE rel_module_user (
  ID int(4) NOT NULL auto_increment,
  MODNAME varchar(20) default NULL,
  EMAIL varchar(60) default NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `rel_module_user`
#

# --------------------------------------------------------

#
# Table structure for table `rel_workgroup_user`
#

DROP TABLE IF EXISTS rel_workgroup_user;
CREATE TABLE rel_workgroup_user (
  ID int(5) NOT NULL auto_increment,
  WGID int(3) default NULL,
  EMAIL varchar(60) default NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `rel_workgroup_user`
#

# --------------------------------------------------------

#
# Table structure for table `relation`
#

DROP TABLE IF EXISTS relation;
CREATE TABLE relation (
  ID int(4) NOT NULL auto_increment,
  IDENTIFIER varchar(100) default NULL,
  DATEMODIFIED datetime default NULL,
  NO int(2) default NULL,
  HASFILENAME varchar(150) default NULL,
  HASPART varchar(150) default NULL,
  HASPATH varchar(150) default NULL,
  HASFORMAT varchar(50) default NULL,
  HASSIZE varchar(10) default NULL,
  HASURI varchar(255) default NULL,
  HASNOTE varchar(255) default NULL,
  PRIMARY KEY (ID)
) TYPE=MyISAM;

#
# Dumping data for table `relation`
#

# --------------------------------------------------------

#
# Table structure for table `user`
#

DROP TABLE IF EXISTS user;
CREATE TABLE user (
  UID int(5) NOT NULL auto_increment,
  GID int(1) NOT NULL default '4',
  FULL_NAME varchar(50) default NULL,
  EMAIL varchar(60) default 'email@com',
  ADDRESS varchar(100) default NULL,
  CITY varchar(20) default NULL,
  COUNTRY varchar(20) default NULL,
  INSTITUTION varchar(50) default NULL,
  JOB varchar(40) default NULL,
  K_ALERT tinyint(1) NOT NULL default '0',
  PASSWORD varchar(18) default NULL,
  VALIDATION varchar(11) default NULL,
  CONFIRM tinyint(1) default '0',
  PUBLISHER varchar(20) default NULL,
  DATESTAMP datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY (UID),
  UNIQUE KEY EMAIL(EMAIL)
) TYPE=MyISAM;

#
# Dumping data for table `user`
#

INSERT INTO user VALUES (1, 1, 'Superuser', 'superuser@localhost', 'Local address', 'Local city', 'Local country', 'Local institution', '15', 0, '1e0c530062ec7e17', '1026177931', 1, 'JBPEISMAIL', '2002-07-09 08:25:31');
# --------------------------------------------------------

#
# Table structure for table `workgroup`
#

DROP TABLE IF EXISTS workgroup;
CREATE TABLE workgroup (
  WGID int(3) NOT NULL auto_increment,
  NAME varchar(50) NOT NULL default '0',
  DESCRIPTION varchar(255) default NULL,
  STATUS tinyint(1) NOT NULL default '0',
  PRIMARY KEY (WGID),
  UNIQUE KEY NAME(NAME)
) TYPE=MyISAM;

#
# Dumping data for table `workgroup`
#

