<%
/***************************************************************************
                          registration.inc  -  process registration form
                             -------------------
    begin                : June 14, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
require_once "functions/form.php";
require_once "functions/db.php";
require_once "functions/explorer.php";
require_once "functions/mail.php";


// debugging
// form_print_array($frm);


$frm_validation_file = "forms/form_registration_validate.inc";

// Check the form 
if (form_is_valid($frm,$frm_validation_file)){
	if (!db_insert_registration($frm)) {
		form_completion($frm,"forms/form_registration.inc");
	} else {
		$f_name = trim($frm[EMAIL]);
		$f_mode = "rw-r--r-";
		$f_type = "folder";
		$f_owner = trim($frm[EMAIL]);
		$f_node = explorer_pname_to_node("/Member/");
		
		if (empty($f_node[NODE])){
			// create member folder
			db_new_folder("Member",$f_mode,$f_type,$f_parent, $f_path, "superuser@localhost", 0, $DC_PUBLISHER_ID);
			$f_node = explorer_pname_to_node("/Member/");
		}
		
		// create member's folder
		if ($conf[create_member_folder]){
		
			$f_parent = $f_node[NODE];
			$f_path = "$f_node[PATH]$f_parent";
		
			db_new_folder($f_name,$f_mode,$f_type,$f_parent, $f_path, $f_owner, 0, $DC_PUBLISHER_ID);
		}
	}
} else {
	form_completion($frm,"forms/form_registration.inc");
}

%>
