<%
/***************************************************************************
                          browse.php  -  function related to archive browsing
                             -------------------
    begin                : June 15, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if (defined ('browse_php')) { 
	return; 
} else { 
	define ('browse_php', true); 
}

require_once "functions/stdout.php";
require_once "functions/user.php";
require_once "functions/string.php";
require_once "functions/explorer.php";
require_once "functions/metadata.php";
require_once "functions/image.php";
require_once "functions/cache.php";
require_once "functions/hub.php";


// folder
function  browse_folder_box()
{
	global $HTTP_SESSION_VARS,$l;
	
	
	$node = $HTTP_SESSION_VARS[sess_explorer_address][0];
	
	// up
	if ($node >=1){
		$up = explorer_address_up($node);
		$uphtml = "
			<table cellSpacing=0 cellPadding=1 border=0>
				<tr>
					<td><a href=/go.php?node=$up><img src=/images/folder_up.gif border=0 alt=\"$l[up]\"></a></td>
					<td><b><a href=/go.php?node=$up><font size=1 color=#ffffff>$l[up]..</font></a></b></td>
				</tr>
			</table>";
	}

	// get folder list
	$fhtml = browse_folder_list($node,1);
	
	// get metadata list
	$mhtml = browse_metadata_list($node,1);
	
	$box_html = "
			<table cellSpacing=1 cellPadding=0 border=0>
				<tr><td>
					$uphtml
					$fhtml
					$mhtml
				</td></tr>
			</table>";
   
   return $box_html;
   
} 

// folder list
function browse_folder_list($node,$level)
{
	global $conf,$t,$l,$box_address,$HTTP_SESSION_VARS;
	
   $strsql = "SELECT folder.*, folder_tree.NODE
   			FROM folder, folder_tree
   			WHERE 
   				folder_tree.PARENT = '$node' AND
   				folder_tree.NODE = folder.NODE 
   			ORDER BY folder.NAME";
     
	$dbres = mysql_query($strsql);
        		
   if ($dbres){
   		$numrow = mysql_num_rows($dbres);
   		$html = "";
   		$html_icon = "";
   		
   		// display partner name
		$arp = explode("/",$box_address[HIERARCHY]); 
		$last = sizeof($arp)-3;
		if (trim($arp[$last]) == $conf[collection_folder]){
			$is_partner = TRUE;
		} elseif ($arp[1] == $conf[collection_folder]){
			$pub_info = metadata_publisher_info($arp[3]);
			if (!empty($pub_info[DC_PUBLISHER]))
				$partner_name = "<br>(".trim($pub_info[DC_PUBLISHER]).")";
		}
		
   		
   		while ($row = mysql_fetch_array($dbres)){
       	
			if ($level == 3){
				$folder_name = str_replace("_"," ",$row[NAME]);
				$nodeid = $row[NODE];
				
				if ($HTTP_SESSION_VARS[sess_view] != "title"){
					$folder_numchild = explorer_folder_numchild($nodeid); // number of subfolder and metadata
				}
				$folder_nummeta  = explorer_folder_nummeta($nodeid);
				
				// for partner
				if ($is_partner){
					$pub_info = metadata_publisher_info($row[NAME]);
				}
				
				
				include "src/box_icon.inc"; // resulting html_icon
				
				if ($HTTP_SESSION_VARS[sess_view] == "title"){
					if (($i % 2)== 0){
						$html .= "<tr valign=top><td>$html_icon</td>";
					} else {
						$html .= "<td>$html_icon</td></tr>";
					}
				} else {
					if (($i % 3)==0){
						$html .= "</tr><tr valign=top><td>$html_icon</td>";
					} elseif (ceil($i/2) == 0){
						$html .= "<tr valign=top><td>$html_icon</td>";
					} else {
						$html .= "<td>$html_icon</td>";
					}
				}
				$i++;
				
			} else {
				$html .= browse_folder_print($row,1);
			}
		}

		$folder_heading = "<p><font size=1 color=$t[color_title_light]><b>$l[folder_index]$partner_name:</b></font>
						<br><font size=1><b>$l[view]:</b> 
						<a href=/go.php?node=$node&view=thumbnails&refresh=1>$l[thumbnails]</a> - 
						<a href=/go.php?node=$node&view=title&refresh=1>$l[title]</a> -
						<a href=/go.php?node=$node&view=$HTTP_SESSION_VARS[sess_view]&refresh=1>$l[refresh]</a></font>
						</p>";
		
		if (($numrow <1)&&($level == 3)){
			$fhtml = "$folder_heading
					<p><small>$l[empty].</small></p>";
			return $fhtml;
		}
		
		if (!empty($html)){
			if ($level == 3){
				$fhtml = "$folder_heading
						<table cellSpacing=0 cellPadding=3 width=100% border=0>$html</table><p>";
			} else {
				$fhtml = "<table cellSpacing=0 cellPadding=1 border=0>$html</table>";
			}
			
			return $fhtml;
		} 
		
    } else {
    	stdout_error(mysql_error());
    	return NULL;
    }
}

// print folder list
function browse_folder_print($row, $level)
{
	global $node, $node2, $exp_node,$t;
	
	if (isset($exp_node)){
		$mynode = $exp_node;
	} else {
		$mynode = $node;
	}
	
	// has child?
	$numchild = explorer_folder_numchild($row[NODE]);
	$icon = "";
	if ($numchild > 0){
		if ($level == 2){
			$icon = "<a href=/go.php?node=$node&exp_node=$row[NODE]><img src=/images/folder_plus.gif border=0></a>";
		} else {
			$icon = "<a href=/go.php?node=$row[NODE]&exp=1><img src=/images/folder_plus.gif border=0></a>";
		}
	} else {
		$nummeta = explorer_folder_nummeta($row[NODE]);
		if ($nummeta > 0){
			
			if ($level == 2){
				$icon = "<a href=/go.php?node=$node&exp_node=$row[NODE]><img src=/images/folder_plus.gif border=0></a>";
			} else {
				$icon = "<a href=/go.php?node=$row[NODE]&exp=1><img src=/images/folder_plus.gif border=0></a>";
			}
		
		} else {
			$icon = "<img src=/images/folder_dot.gif border=0>";
			
			if ($level == 2){
				$link = "/go.php?node=$mynode&exp=1&node2=$row[NODE]";
			} else {
				$link = "/go.php?node=$row[NODE]";
			}
			
		}
	}
	
	if (empty($link)) $link = "/go.php?node=$row[NODE]";
	
	if ($mynode == $row[NODE]) {

		$bgcolor = "bgcolor=$t[color_light]";
		$fontcolor = $t[color_title_dark];
		
		// get child
		
		$mychild = browse_child_list($mynode);
		
		// get metadata
		
		$mymetadata = browse_metadata_list($mynode,2);
		
	} else {
		if ($level == 2){
			$fontcolor = $t[color_title_dark];
			if ($node2 == $row[NODE])
					$bgcolor = "bgcolor=$t[color_light_more]";
				else 
					$bgcolor = "bgcolor=$t[color_light]";
		} else {
			$fontcolor = "#FFFFFF";
		}
	}
	
	// llink
	
	
	$fname = str_replace("_"," ",$row[NAME]);
	$fname = wordwrap($fname,18,"<br>",1);
	
	$html = "
			<tr>
            <td align=center valign=top $bgcolor>$icon</td>
            <td vAlign=top $bgcolor><b><a href=$link><font color=$fontcolor size=1>".
            	$fname."</font></a></b>
            	$mychild
            	$mymetadata
            </td>
          </tr>";
    
    
    return $html;
    
}

// get child list
function browse_child_list($node)
{
	$strsql = "SELECT folder.*, folder_tree.NODE
   			FROM folder, folder_tree
   			WHERE 
   				folder_tree.PARENT = '$node' AND
   				folder_tree.NODE = folder.NODE ";
     
	$dbres = mysql_query($strsql);
        		
   if ($dbres){
   		while ($row = mysql_fetch_array($dbres)){
       	$html .= browse_folder_print($row,2);
       }
		
		if (!empty($html)){
			$box_html = "<table cellSpacing=0 cellPadding=2 border=0>$html</table>";
			return $box_html;
		} else {
			return NULL;
		}	
    } else {
    	stdout_error(mysql_error());
    	return NULL;
    }
}

// get metadata list
function browse_metadata_list ($node,$level)
{
	global $conf, $t, $id, $idref, $l,$start, $HTTP_SESSION_VARS;
	
	if ($level == 2){
		$myfcolor = $t[color_text_dark];
	} elseif ($level == 3){
		include "schemas/type.inc";
	} else {
		$myfcolor = "#FFFFFF";
	}
	
	// init
	$start = $HTTP_SESSION_VARS[sess_explorer_start];

	if (empty($start)) $start = 1;
	
	$start_lmt = $start - 1;
	
	// discussion
	
	if ((explorer_node_to_name($node) == "Discussion") && (!empty($idref))){
		$mdata = metadata_read_db($idref);
		
		echo "<table border=1 width=430 cellpadding=2 cellspacing=1>
			<tr bgcolor=$t[color_light_more]><td>
			<font size=2 color=$t[color_title_light]><b>$l[discussion_note]:</b>
			<br><a href=/go.php?id=$idref><b>".$mdata[CREATOR].". ".substr($mdata[DATE],0,4).".</b> ".strip_tags($mdata[TITLE]).
			". (".$mdata[TYPE].")</a></font></td></tr></table><p>";
	
		$where_discussion = "metadata_xml.IDENTIFIER LIKE '$idref\@%' AND ";
		
	} elseif (ereg("@",$id)){
		$myid = explode("@",$id);
		$where_discussion = "metadata_xml.IDENTIFIER LIKE '$myid[0]\@%' AND ";
	}
	
	// formula
	
	$strsql = "SELECT metadata_xml.*
					FROM metadata, metadata_xml, folder_tree
					WHERE
						$where_discussion
						metadata_xml.IDENTIFIER = folder_tree.IDENTIFIER AND
						metadata_xml.IDENTIFIER = metadata.IDENTIFIER AND
						metadata_xml.XMLDATA <> 'deleted' AND
						folder_tree.PARENT = '$node'
					ORDER BY metadata.DATEMODIFIED asc
					LIMIT $start_lmt,$conf[perpage]
				";
	
	$dbres = mysql_query($strsql);
	if ($dbres){
		
		if (mysql_num_rows($dbres) < 1) return;
		
		while ($row = mysql_fetch_array($dbres)){
			
			$bgcolor = "";
			
			if ($id == $row[IDENTIFIER]){
				if ($level == 2)
					$bgcolor = "bgcolor=$t[color_light_more]";
				else 
					$bgcolor = "bgcolor=$t[color_light]";
				
				$fontcolor = $t[color_text_dark];
			} else {
				$fontcolor = $myfcolor;
			}
			
			// read xml data
			$xml = metadata_read_db($row[IDENTIFIER]);
			
			//print_r($xml);
					
			if ($level == 3){
				$box = $xml;
				$info = metadata_info($row[IDENTIFIER]);
				include "src/box_index.inc";
			} else {
				$title = ucwords(strtolower($xml[TITLE])).". (".$xml[TYPE].")";
				$title = strip_tags($title);
				$title = wordwrap($title,20,"<br>",1);
				
				$html .= "
				<tr $bgcolor>
					<td valign=top><img src=/images/folder_data.gif ></td>
					<td><a href=/go.php?id=$row[IDENTIFIER]><font face=arial size=2 color=$fontcolor>$title</font></a></td>
				</tr>";
			}
		}
		if (!empty($html)){
			$mhtml = "
				<table border=0 cellspacing=0 cellpadding=2>$html</table>";
			return $mhtml;
		} else {
			return NULL;
		}
	} else {
		stdout_error(mysql_error());
		return NULL;
	}

}

//show contents
function browse_show_content($node, $id)
{
	global $t,$e, $l, $box,$start,$refresh,$q,$HTTP_SESSION_VARS;

	include "schemas/type.inc";

	
	// show metadata
	
	if (!empty($id)){
		
		// auth
		if (!explorer_folder_isread("metadata",$id)){
			stdout_error($e[access_denied]);
			return;
		}
		
		$box = metadata_read_xml($id);
		if (!$box) {
			echo $l[metadata_notfound];
			return 0;
		}
		
		$info = metadata_info($id);
		
		$mbox = "schemas/display/box_metadata_$info[SCHEMA].inc";
		
		if (file_exists($mbox)) {
			include $mbox;
		} else {
			include "schemas/display/box_metadata_default.inc";
		}
		return 1;

	} else {
		$langid = $HTTP_SESSION_VARS[sess_langid];
		$view = $HTTP_SESSION_VARS[sess_view];
		
		// cache this
		$cache_page = "node=$node";
		$cache_result = cache_is_expired("browse",$cache_page,$langid,$view);
		
		if ((($cache_result <= 1) && is_int($cache_result)) || ($refresh)){
			$html_cache = browse_folder_list($node,3);
			
			// write
			if ($cache_result == 0){
				cache_write("browse",$cache_page,$langid,$view,$html_cache,"w");
			// update
			} else {
				cache_write("browse",$cache_page,$langid,$view,$html_cache,"u");
			}
		} else {
			$html_cache = $cache_result;
		}
			
		echo $html_cache;
		
		// nav
		$total = explorer_folder_nummeta_direct($node);
		if ($total >0){
			if (empty($start)) $start = 1;
			
			$html_nav = browse_nav_article($start,$total,0);
			echo $html_nav;
		} 
		
		browse_metadata_list($node,3);
		
		if ($total >0) echo $html_nav;
		
		return 0;
	}
	
}

// show relation
function browse_show_relation($id)
{
	global $t, $DC_PUBLISHER_ID, $box,$l;
	
	if (empty($id))	return;
	
	if (!empty($box[RELATION][0]) && !ereg("RELATION_EXTERNAL",$box[RELATION][0]) ){
		echo "<p><font size=2 color=$t[color_title_light]><b>$l[related_article]:</b></font><br>
      		<font size=2 color=$t[color_title_dark_light]>".$box[RELATION][0]."</font></p>";
    }
     
	$minfo = metadata_info($id);
	if (!$minfo) return;
	
	// publisher
	$publisherid = $minfo[PUBLISHER];
	$pinfo = metadata_publisher_info($publisherid);
	
	//$rel 	= metadata_relation_dbinfo($id);
	$rel = $box;
	
	//print_r($box);

	$num = sizeof($rel[RELATION_HASURI]);
	
	if ($num <= 0) return;
		
	while(list($key,$val) = each($rel[RELATION_HASURI])){
                            
          
          $img_icon = "";
          $fname = "";
              
          if (!empty($rel[RELATION_HASURI][$key])){
              
          		$img_icon 	= image_icon($rel[RELATION_HASPATH][$key],150,$publisherid);
          		$local_copy = "files/$pinfo[DC_PUBLISHER_ID]/".str_replace("files/","",$rel[RELATION_HASPATH][$key]);
          		
          		
          		if ((strtolower(substr($rel[RELATION_HASPATH][$key],-4)) == ".gif") && 
          			(file_exists($local_copy) || file_exists($rel[RELATION_HASPATH][$key]) )
          			)
          		{
          			$strimg = "<img border=0 src=$img_icon width=150>";
          		} else {
          			$strimg = "<img border=0 src=$img_icon>";
          		}
          		
          		// link
          		$furl = browse_relation_link($rel[RELATION_HASURI][$key],$rel[RELATION_HASPATH][$key],$pinfo);
          		
          		
          		$fnote		= $rel[RELATION_HASNOTE][$key];
                            		
          		$fname		= "<a href=$furl>$strimg<br><font size=1 color=$t[color_title_light]><b>$l[file]: ".
          					str_replace("_"," ",$rel[RELATION_HASFILENAME][$key])."</b> (".$rel[RELATION_HASSIZE][$key]." bytes)</font></a>";
   
          } else {
          		$fname = "<font size=1>none</font>";
          }
       	
       	$html .= "<p>
       			$fname<br>
        			<font size=1 color=$t[color_title_dark]>$fnote</font><hr noshade size=1 color=#000000></p>";
          			
   }

	// display
	
	return $html;
}

// link for related file
function browse_relation_link($uri,$path,$pinfo)
{
	global $DC_PUBLISHER_ID,$IDLN_SERVER,$HTTP_SESSION_VARS;
	
	if ($HTTP_SESSION_VARS[sess_email] != "guest"){
		$redirby = "&email=$HTTP_SESSION_VARS[sess_email]&redirfrom=$DC_PUBLISHER_ID";
	}
	
	// local archive of the file
	$local_copy = "files/$pinfo[DC_PUBLISHER_ID]/".str_replace("files/","",$path);
	$local_uri = "/download.php?f=/$pinfo[DC_PUBLISHER_ID]/".str_replace("files/","",$path);
	
	 if ($DC_PUBLISHER_ID == $pinfo[DC_PUBLISHER_ID]){
   		$furl = "javascript:openDocumentWindow('$uri')";
   	 } else if (file_exists($local_copy)){
   	 	$furl = "javascript:openDocumentWindow('$local_uri')";
    } else {
   		if ($pinfo[DC_PUBLISHER_CONNECTION] == "DEDICATED"){
   			$furl = "javascript:openDocumentWindow('http://$pinfo[DC_PUBLISHER_HOSTNAME]$uri$redirby')";
   		} elseif ($pinfo[DC_PUBLISHER_CONNECTION] == "TEMPORARY") {
   			$hubname = hub_publisher_hub_name($pinfo[DC_PUBLISHER_ID]);
   			$furl = "javascript:openDocumentWindow('http://$hubname$uri$redirby')";
    	} else {
    		$furl = "javascript:openDocumentWindow('$uri')";
    	}
    }
    return $furl;	
}


// article nav
function browse_nav_article($start,$total,$notext)
{
	global $t,$l,$conf,$node, $id, $HTTP_SESSION_VARS;
	
	//if ($total < $conf[perpage]) return;
	
	if ($start<1) $start = $HTTP_SESSION_VARS[sess_explorer_start];
	if ($start<1) $start = 1;
	
	$stop = $start+$conf[perpage]-1;
	
	if ($stop > $total) $stop = $total;

   // node
   $mynode = $node;
		
	// Navigation
			
	// Prev page
	if ($start > 1)
   		$html_nav = "<a href=/go.php?id=$id&node=$mynode&start=".($start-$conf[perpage])."><img border=0 src=/images/prev.gif alt=\"$l[prev]\"></a>";
	else
   		$html_nav = "<img border=0 src=/images/prev.gif alt=\"$l[prev]\">";
         				
   // Next page
   if ($stop < $total)
   		$html_nav .= "<a href=/go.php?id=$id&node=$mynode&start=".($stop+1)."><img border=0 src=/images/next.gif alt=\"$l[next]\"></a>";
   else
   		$html_nav .= "<img border=0 src=/images/next.gif alt=\"$l[next]\">";
	
	if ($notext) {
		$html = "<table><tr><td><font color=#ffffff size=1>$start - $stop $l[of] $total</font></td>
				<td>$html_nav</td></tr></table>";
		return $html;
	}
	
	$html = "
<table border=0 cellspacing=0 cellpadding=2 width=100% >
  <tr>
    <td bgcolor=$t[color_light]><font face=arial size=2><b>$l[displaying] $l[article] $start - $stop $l[of] $l[total] $total $l[article](s). </b></font></td>
    <td bgcolor=$t[color_light]>
    	$html_nav 
    </td>
  </tr>
</table><p></p>";
	
	return $html;
}
%>