<%
/***************************************************************************
                          db.php  -  function related to database processing
                             -------------------
    begin                : June 15, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
if (defined ('db_php')) { 
	return; 
} else { 
	define ('db_php', true); 
}

// Load session
require_once "functions/sessions.php";
require_once "functions/stdout.php";
require_once "functions/client.php";

// Function to insert registration table
function db_insert_registration($frm)
{
	global $DC_PUBLISHER_ID, $DC_PUBLISHER, $DC_PUBLISHER_HOSTNAME, $DC_PUBLISHER_CKO;
	global $frmred,$l,$e,$errmsg,$conf;
	
	$frm[VALIDATION] = date("U");
	$frm[PUBLISHER_ID] = $DC_PUBLISHER_ID;
	$frm[PUBLISHER] = $DC_PUBLISHER;
	$frm[DATESTAMP] = date("Y-m-d H:i:s");
	
	$strsql = "INSERT INTO user 
				(
					FULL_NAME,
					EMAIL,
					ADDRESS,
					CITY,
					COUNTRY,
					INSTITUTION,
					JOB,
					K_ALERT,
					PASSWORD,
					VALIDATION,
					PUBLISHER,
					DATESTAMP
				)
				VALUES
				(
					'".addslashes($frm[FULLNAME])."',
					'".trim($frm[EMAIL])."',
					'".addslashes($frm[ADDRESS])."',
					'".addslashes($frm[CITY])."',
					'".addslashes($frm[COUNTRY])."',
					'".addslashes($frm[INSTITUTION])."',
					'".addslashes($frm[JOB])."',
					'$frm[ALERT]',
					password('$frm[PASSWORD]'),
					'$frm[VALIDATION]',
					'$frm[PUBLISHER_ID]',
					'$frm[DATESTAMP]'
				)";
				
	$dbres = mysql_query($strsql);
	if ($dbres){
		$errmsg = $l[add_success];
		if (($conf[os] == "win32") || ($conf[mail_send] != 1)){
			$errmsg .= "<p>".$l[email_disabled];
		} else {
			
			// send confirmation email
			$to = trim($frm[EMAIL]);
			$prefix = mail_prefix();
			$subject = "$prefix Account activation is required for $frm[EMAIL]";
			
			$frm[NETWORK] = $conf[network];
			$frm[SERVER] = $DC_PUBLISHER_HOSTNAME;
			$frm[CKO] = $DC_PUBLISHER_CKO;
			
			$message = mail_message("registration",$frm);

			if (mail_send($to,$subject,$message)){			
				$errmsg .= "<p>".$l[email_send_activation];
			} else {
				$errmsg .= "<p>".$l[email_send_failed];
			}
		}
		stdout_error($errmsg);
		return TRUE;
	} else {
		
		if (eregi("duplicate",mysql_error())) {
			$frmred[EMAIL] = "color=#ff0000";
			$errmsg = $e[account_exists];
		} else {
			$errmsg = mysql_error();
		}
		return FALSE;
	}

}

// Function to check login 
function db_login($account,$password)
{
	global $l,$e,$errmsg;
	
	$strsql = "SELECT * FROM user WHERE
					EMAIL = '$account' AND PASSWORD = password('$password')";
	$dbres = mysql_query($strsql);
	if ($dbres){
		if (mysql_num_rows($dbres)>0){
			$username	= mysql_result($dbres,0,"FULL_NAME");
			$orgname	= mysql_result($dbres,0,"INSTITUTION");
			$origin	= mysql_result($dbres,0,"PUBLISHER");
			$gid		= mysql_result($dbres,0,"GID");
			$confirm	= mysql_result($dbres,0,"CONFIRM");
			
			if ($confirm){
				session_create($account, $username,$orgname,$origin,$gid);
				return TRUE;
			} else {
				$errmsg = $e[account_not_activated];
				return FALSE;
			}
		} else {
			$errmsg = $e[login_incorrect];
			return FALSE;
		}
	} else {
		$errmsg = mysql_error();
		return FALSE;
	}

}

// Function to activate account
function db_activation($account,$vn)
{
	global $l,$e,$errmsg;
	
	$strsql = "UPDATE user SET CONFIRM = '1' WHERE
				EMAIL = '$account' AND VALIDATION = '$vn'";
	$dbres = mysql_query($strsql);
	if ($dbres){
		if (mysql_affected_rows()>0){
			$errmsg = $e[account_activation_success];
			return TRUE;
		} else {
			$errmsg = $e[account_activation_failed];
			return FALSE;
		}
	} else {
		$errmsg = mysql_error();
		return FALSE;
	}
}

// Function to update user data
function db_update_user($frm)
{
	global $l,$e;
	
	$strsql = "UPDATE user 
						SET
							GID = '$frm[GID]',
							FULL_NAME = '".addslashes($frm[FULLNAME])."',";
							
	if (!empty($frm[PASSWORD]))
		$strsql .= "		PASSWORD = password('".$frm[PASSWORD]."'),";
							
	$strsql .= "
							EMAIL = '".trim($frm[EMAIL])."',
							ADDRESS = '".addslashes($frm[ADDRESS])."', 
							CITY = '".addslashes($frm[CITY])."',
							COUNTRY = '".addslashes($frm[COUNTRY])."',
							INSTITUTION = '".addslashes($frm[INSTITUTION])."',
							JOB = '$frm[JOB]',
							K_ALERT = '$frm[ALERT]',
							CONFIRM = '$frm[CONFIRM]'
						WHERE
							EMAIL = '".trim($frm[EMAIL])."'";
	
	$dbres = mysql_query($strsql);
	if ($dbres){
		if (mysql_affected_rows()>0){
 			$errmsg = $l[updated];
 			stdout_error($errmsg);
 			return TRUE;
		} else {
			$errmsg = $l[nochanges];
			stdout_error($errmsg);
			return TRUE;
		}
	} else {
		$errmsg = mysql_error();
		stdout_error($errmsg);
		return FALSE;
	}
}

// Function to count total records
function db_total_records($strsql)
{
	$dbres = mysql_query($strsql);
	if ($dbres){
		$total = mysql_result($dbres,0,"TOTAL");
 		return $total;
	} else {
		$errmsg = mysql_error();
		stdout_error($errmsg);
		return 0;
	}
}

// Insert new category
function db_new_folder($f_name,$f_mode,$f_type,$f_parent, $f_parent_path, $f_owner, $wgid, $publisher)
{
	global $HTTP_SESSION_VARS;
	
	$strsql = "INSERT INTO folder (TYPE, NAME, OWNER, WGID, MODE, DATEMODIFIED,PUBLISHER)
			VALUES (
				'$f_type',
				'".str_replace(" ","_",$f_name)."',
				'$f_owner',
				'$wgid',
				'$f_mode',
				'".date("Y-m-d H:is")."',
				'$publisher')";
	$dbres = mysql_query($strsql);
	if ($dbres) {
		$nodeid = mysql_insert_id();
		if (!empty($nodeid)){
			
			if (empty($f_parent_path)) $f_parent_path = "0";
		
			$strsql2 = "INSERT INTO folder_tree 
							(PARENT, NODE, PATH)
						VALUES (
							'$f_parent',
							'$nodeid',
							'$f_parent_path/'
							)";
			$dbres2 = mysql_query($strsql2);
			if ($dbres2){
				stdout_error("Folder <b>$f_name</b> is created.");
				return TRUE;
			} else {
				stdout_error(mysql_error());
				return FALSE;
			}
					
		}
	} else {
		stdout_error(mysql_error());
		return FALSE;
	}
}

// Insert metadata into database
function db_metadata_insert($xml)
{
	global $frm, $HTTP_SESSION_VARS;
	
	$strsql = "INSERT INTO metadata 
						(
							SCHEMA,
							IDENTIFIER,
							DATEMODIFIED,
							DATE,
							PUBLISHER,
							OWNER,
							TYPE,
							RELATION_COUNT

						)
					VALUES
						(
							'$frm[TYPE_SCHEMA]',
							'$frm[IDENTIFIER]',
							'$frm[DATE_MODIFIED]',
							'$frm[DATE]',
							'$frm[PUBLISHER]',
							'$HTTP_SESSION_VARS[sess_email]',
							'$frm[TYPE]',
							'$frm[RELATION_COUNT]'
						) ";

	$dbres = mysql_query($strsql);
	if ($dbres){
		// outbox job
		client_update_box_status($frm[IDENTIFIER],$frm[DATE_MODIFIED],"insert","outbox");
		
		// add xml to table
		$strsql1 = "INSERT INTO metadata_xml (IDENTIFIER, XMLDATA)
						VALUES ('$frm[IDENTIFIER]','".addslashes($xml)."')";
		
		$dbres1 = mysql_query($strsql1);
		if ($dbres1){
			// go on
		} else {
			stdout_error(mysql_error());
			// go on
		}
		
		// add to folder tree
		
		if (!empty($frm[PARENT_NODE])) {
			$path_node = $frm[PARENT_PATH];
			$parent_id = $frm[PARENT_NODE];
		} else {
			$path = explorer_path($HTTP_SESSION_VARS[sess_upload_address],0);
			$path_node = $path[NODE];
			$parent_id = "$HTTP_SESSION_VARS[sess_upload_address]";
		}
		
		$strsql2 = "INSERT INTO folder_tree (PARENT,IDENTIFIER,PATH)
						VALUES
							(
								'$parent_id',
								'$frm[IDENTIFIER]',
								'$path_node/'
							)";
		$dbres2 = mysql_query($strsql2);
		if ($dbres2){
			return 1;
		} else {
			stdout_error(mysql_error());
			return 0;
		}
	} else {
		stdout_error(mysql_error());
		return 0;
	}
}

// Update metadata
function db_metadata_update($id,$xml)
{
	global $frm;
	
	// update properties
	$strsql = "UPDATE metadata 
					SET 
						DATEMODIFIED = '$frm[DATE_MODIFIED]',
						DATE	= '$frm[DATE]',
						RELATION_COUNT = '$frm[RELATION_COUNT]'
					
					WHERE IDENTIFIER = '$id'";
					
	$dbres = mysql_query($strsql);
	if ($dbres){
		client_update_box_status($id,$frm[DATE_MODIFIED],"need_update","outbox");
	} else {
		stdout_error("db_metadata_update(): ".mysql_error());
		// go on
	}
	
	// update xml table
	$strsql1 = "UPDATE metadata_xml
					SET XMLDATA = '".addslashes($xml)."'
					WHERE IDENTIFIER = '$id'";
					
	$dbres1 = mysql_query($strsql1);
	if ($dbres1){
		return 1;
	} else {
		stdout_error(mysql_error());
		return 0;
	}
						
}

// move metadata
function db_metadata_move($id,$src_node,$target_node)
{
	$path = explorer_path($target_node,0);
	$target_path = $path[NODE];
	
	$strsql = "UPDATE folder_tree 
					SET 
						PARENT = '$target_node', 
						PATH = '$target_path/'
					WHERE
						IDENTIFIER = '$id' AND
						PARENT = '$src_node'";
	
	$dbres = mysql_query($strsql);
	if ($dbres){
		return TRUE;
	} else {
		stdout_error(mysql_error());
		return FALSE;
	}
	
}

// Add relation
function db_relation_insert($id,$rel)
{
	// delete existing one
	db_relation_delete($id,$rel[no]);
	
	$strsql = "INSERT INTO relation 
						(
							IDENTIFIER,
							DATEMODIFIED,
							NO,
							HASFILENAME,
							HASPART,
							HASPATH,
							HASFORMAT,
							HASSIZE,
							HASURI,
							HASNOTE
						)
					VALUES 
						(
							'$id',
							'".date("Y-m-d H:i:s")."',
							'$rel[no]',
							'$rel[hasfilename]',
							'$rel[haspart]',
							'$rel[haspath]',
							'$rel[hasformat]',
							'$rel[hassize]',
							'$rel[hasuri]',
							'".addslashes($rel[hasnote])."'
						)";
	$dbres = mysql_query($strsql);
	if ($dbres){
		return TRUE;
	} else {
		stdout_error(mysql_error());
		return FALSE;
	}
}

// delete relation
function db_relation_delete($id,$no)
{
	$strsql = "DELETE FROM relation 
					WHERE IDENTIFIER = '$id' AND NO = '$no'";
	$dbres = mysql_query($strsql);
	if ($dbres){
		return TRUE;
	} else {
		stdout_error(mysql_error());
		return FALSE;
	}
}

// delete relation
function db_relation_update($id,$no)
{
	global $frm;
	
	$strsql = "UPDATE relation SET HASNOTE = '".addslashes($frm[RELATION_HASNOTE][$no])."'
					WHERE IDENTIFIER = '$id' AND NO = '$no'";

	$dbres = mysql_query($strsql);
	if ($dbres){
		return TRUE;
	} else {
		stdout_error(mysql_error());
		return FALSE;
	}
}

// dump metadata for archiving
function db_metadata_dump($start_date){
	global $DC_PUBLISHER_ID;
	
	$strsql = "SELECT 
							metadata_xml.XMLDATA,
							metadata.DATEMODIFIED, 
							metadata.IDENTIFIER,
							metadata.TYPE
					FROM 
							metadata,metadata_xml
					WHERE 
							metadata.IDENTIFIER = metadata_xml.IDENTIFIER AND
							metadata.PUBLISHER = '$DC_PUBLISHER_ID' AND
							metadata.DATEMODIFIED >= '$start_date'";
	
	$dbres = mysql_query($strsql);
	if ($dbres){
		while ($row = mysql_fetch_array($dbres)){
			$header = "
<header>
  <identifier>$row[IDENTIFIER]</identifier>
  <datestamp>$row[DATEMODIFIED]</datestamp>
  <setSpec>$row[TYPE]</setSpec>
</header>";

			$dump .= "
<record>$header
<metadata>
 $row[XMLDATA]
</metadata>
</record>";
		}
		return $dump;
	} else {
		stdout_error(mysql_error());
		return FALSE;
	}
	
}

%>