<%
/***************************************************************************
                          hub.php  -  function related to IndonesiaDLN Hub
                             -------------------
    begin                : June 14, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 

if (defined ('hub_php')) { 
	return; 
} else { 
	define ('hub_php', true); 
}

require_once "functions/stdout.php";

// Generate serial number
function hub_generate_serialno()
{
	global $DC_PUBLISHER_NETWORK;
	
	$datetime = date("Ymd-His");
	$serialno = "IDLN-$DC_PUBLISHER_NETWORK-$datetime";
	
	return $serialno;
}

// Add publisher
function hub_publisher_add()
{
	global $frm, $conf;
	
	if (empty($frm[PUBLISHER_DATEMODIFIED]))	$frm[PUBLISHER_DATEMODIFIED] = date("Y-m-d H:i:s");
	if (empty($frm[PUBLISHER_NETWORK])) $frm[PUBLISHER_NETWORK] = $conf[network];
	
	$strsql = "INSERT INTO publisher (
						DC_PUBLISHER_ID, DC_PUBLISHER_SERIALNO, DC_PUBLISHER_TYPE, DC_PUBLISHER_APPS,
						DC_PUBLISHER, DC_PUBLISHER_ORGNAME, DC_PUBLISHER_HOSTNAME, DC_PUBLISHER_IPADDRESS,
						DC_PUBLISHER_ADMIN, DC_PUBLISHER_CKO, DC_PUBLISHER_CONTACT, DC_PUBLISHER_ADDRESS,
						DC_PUBLISHER_CITY, DC_PUBLISHER_REGION, DC_PUBLISHER_COUNTRY, DC_PUBLISHER_PHONE,
						DC_PUBLISHER_FAX, DC_PUBLISHER_CONNECTION, DC_PUBLISHER_NETWORK, DC_PUBLISHER_HUBSERVER,
						DC_PUBLISHER_DATEMODIFIED)
					VALUES (
						'".trim($frm[PUBLISHER_ID])."',
						'".trim($frm[PUBLISHER_SERIALNO])."',
						'$frm[PUBLISHER_TYPE]',
						'$frm[PUBLISHER_APPS]',
						'".addslashes($frm[PUBLISHER])."',
						'".addslashes($frm[PUBLISHER_ORGNAME])."',
						'".addslashes($frm[PUBLISHER_HOSTNAME])."',
						'".addslashes($frm[PUBLISHER_IPADDRESS])."',
						'".addslashes($frm[PUBLISHER_ADMIN])."',
						'".addslashes($frm[PUBLISHER_CKO])."',
						'".addslashes($frm[PUBLISHER_CONTACT])."',
						'".addslashes($frm[PUBLISHER_ADDRESS])."',
						'".addslashes($frm[PUBLISHER_CITY])."',
						'".addslashes($frm[PUBLISHER_REGION])."',
						'".addslashes($frm[PUBLISHER_COUNTRY])."',
						'".addslashes($frm[PUBLISHER_PHONE])."',
						'".addslashes($frm[PUBLISHER_FAX])."',
						'$frm[PUBLISHER_CONNECTION]',
						'$frm[PUBLISHER_NETWORK]',
						'$frm[PUBLISHER_HUBSERVER]',
						'$frm[PUBLISHER_DATEMODIFIED]'
						)";
	
	$dbres = mysql_query($strsql);
	if ($dbres){
		return 1;
	} else {
		stdout_error("hub_publisher_add(): Error ".mysql_error());
		return 0;
	}
}

// update publisher
function hub_publisher_edit($id,$from_process)
{
	global $frm, $conf;
	
	if (empty($frm[PUBLISHER_DATEMODIFIED]))	$frm[PUBLISHER_DATEMODIFIED] = date("Y-m-d H:i:s");
	if (empty($frm[PUBLISHER_NETWORK])) $frm[PUBLISHER_NETWORK] = $conf[network];
	
	if ($from_process != "from_sync") {
		$str_sn = "DC_PUBLISHER_SERIALNO = '".trim($frm[PUBLISHER_SERIALNO])."',";
	}
	
	$strsql = "UPDATE publisher SET
						DC_PUBLISHER_ID = '".trim($frm[PUBLISHER_ID])."', 
						$str_sn
						DC_PUBLISHER_TYPE = '$frm[PUBLISHER_TYPE]', 
						DC_PUBLISHER_APPS = '$frm[PUBLISHER_APPS]',
						DC_PUBLISHER = '".addslashes($frm[PUBLISHER])."', 
						DC_PUBLISHER_ORGNAME = '".addslashes($frm[PUBLISHER_ORGNAME])."', 
						DC_PUBLISHER_HOSTNAME = '".addslashes($frm[PUBLISHER_HOSTNAME])."', 
						DC_PUBLISHER_IPADDRESS = '".addslashes($frm[PUBLISHER_IPADDRESS])."',
						DC_PUBLISHER_ADMIN = '".addslashes($frm[PUBLISHER_ADMIN])."', 
						DC_PUBLISHER_CKO = '".addslashes($frm[PUBLISHER_CKO])."', 
						DC_PUBLISHER_CONTACT = '".addslashes($frm[PUBLISHER_CONTACT])."', 
						DC_PUBLISHER_ADDRESS = '".addslashes($frm[PUBLISHER_ADDRESS])."',
						DC_PUBLISHER_CITY = '".addslashes($frm[PUBLISHER_CITY])."', 
						DC_PUBLISHER_REGION = '".addslashes($frm[PUBLISHER_REGION])."', 
						DC_PUBLISHER_COUNTRY = '".addslashes($frm[PUBLISHER_COUNTRY])."', 
						DC_PUBLISHER_PHONE = '".addslashes($frm[PUBLISHER_PHONE])."',
						DC_PUBLISHER_FAX = '".addslashes($frm[PUBLISHER_FAX])."', 
						DC_PUBLISHER_CONNECTION = '$frm[PUBLISHER_CONNECTION]', 
						DC_PUBLISHER_NETWORK = '$frm[PUBLISHER_NETWORK]', 
						DC_PUBLISHER_DATEMODIFIED = '$frm[PUBLISHER_DATEMODIFIED]'
					WHERE DC_PUBLISHER_ID = '$id'";
	
	//echo $strsql;
	
	$dbres = mysql_query($strsql);
	if ($dbres){
		return 1;
	} else {
		stdout_error("hub_publisher_edit(): ".mysql_error());
		return 0;
	}
}

// read publisher
function hub_publisher_read($id)
{
	global $DC_PUBLISHER_ID;
	
	$strsql = "SELECT * FROM publisher WHERE DC_PUBLISHER_ID = '$id' ";
	$dbres = mysql_query($strsql);
	if ($dbres){
		while($row = mysql_fetch_array($dbres)){
			while (list($key,$val) = each($row)){
				$field = str_replace("DC_","",$key);
				$frm[$field] = trim($val);
			}
		}
		return $frm;
	} else {
		stdout_error("hub_publisher_read(): ".mysql_error());
		return 0;
	}
}

// delete publisher
function hub_publisher_delete($id)
{
	$strsql = "DELETE FROM publisher WHERE DC_PUBLISHER_ID = '$id'";
	$dbres = mysql_query($strsql);
	if ($dbres){
		return 1;
	} else {
		stdout_error("hub_publisher_delete(): ".mysql_error());
		return 0;
	}
}

// get hostname of the hub server for temporary node
function hub_publisher_hub_name($id)
{
	$strhub = "SELECT DC_PUBLISHER_HUBSERVER FROM publisher WHERE DC_PUBLISHER_ID = '$id'";
	$dbhub = mysql_query($strhub);
	if ($dbhub) $idhub = mysql_result($dbhub,0,"DC_PUBLISHER_HUBSERVER");
	
	$strsql = "SELECT DC_PUBLISHER_HOSTNAME FROM publisher WHERE DC_PUBLISHER_ID = '$idhub'";
	$dbres = mysql_query($strsql);
	if ($dbres){
		$hubname = mysql_result($dbres,0,"DC_PUBLISHER_HOSTNAME");
		return $hubname;
	} else {
		echo mysql_error();
	}
}

%>