<%
/***************************************************************************
                          string.php  -  function related to string
                             -------------------
    begin                : June 14, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 

if (defined ('string_php')) { 
	return; 
} else { 
	define ('string_php', true); 
}

// truncate a string
function string_substr($str,$len)
{
	if (strlen($str)>$len)
   		$string = substr($str,0,$len)."..";
   else
   		$string = $str;

	return $string;
}

// truncate a string
function string_substr_front($str,$len)
{
	$mylen = strlen($str);
	if ($mylen > $len)
   		$string = "<..".substr($str,$mylen-$len);
   else
   		$string = $str;

	return $string;
}

// Function to mark query term
function string_mark_term($str,$q,$exact,$red){
	global $qa, $qb, $db;

	if ($_GET[adv]){
		$q = "$qa $qb $db";
	} else {
		$q = urldecode($q);
	}
	

	$q = stripslashes($q);
	$q = str_replace("\"","",$q);
	$q = str_replace("(","",$q);
	$q = str_replace(")","",$q);
	$q = str_replace("\$","",$q);
	$q = str_replace("*","",$q);
	$q = str_replace("=","",$q);
	$q = eregi_replace(" or "," ",$q);
	$q = eregi_replace(" and "," ",$q);
	$q = eregi_replace(" not "," ",$q);
	$q = eregi_replace("title"," ",$q);
	$q = eregi_replace("keywd"," ",$q);
	$q = eregi_replace("dbname"," ",$q);

	// strip tag number
	$q = preg_replace("/\/\d+\w+/"," ",$q);
	
	
	if ($red) {
		$red1 = "<font color=\"#FF0000\">";
		$red2 = "</font>";
	} else {
		$red1 = "";
		$red2 = "";
	}

	$qa = explode(" ",$q);
	for ($i=0;$i<sizeof($qa);$i++){
		if (!empty($qa[$i])){
			// string base
			$str = eregi_replace("$qa[$i]","$red1<b>\\0</b>$red2",$str);
		}
	}
	
	return $str;
}

// html header
function string_html_header($title)
{
	include "template/html_header.html";
}

// Module title using H3
function string_mod_title($title)
{
	echo "\n<h3>$title</h3>\n";
	return;
}

// Compress string into file .gz
function string_compress($str,$filename){

	// open file for writing with maximum compression
	$gzfilename = "$filename.gz";
	$zp = gzopen($gzfilename, "w9");

	// write string to file
	gzwrite($zp, $str);

	// close file
	gzclose($zp);
	
	if (file_exists($gzfilename)){
		echo "Collections are successfully compressed and archived.
			<br>File name: <b>$gzfilename</b>.
			<br>File size: ".filesize($gzfilename)." bytes.
			<p>Click <b>Download Metadata Archive to Disk</b> menu to download the file.";
		
		return TRUE;
	} else {
		echo "Failed to compress the string into file.";
		return FALSE;
	}

}

// Save string into file
function string_save_as($str,$filename){
	$fp = fopen($filename,"w");
	fputs($fp,$str);
	fclose($fp);
	return;
}

%>