<%
/***************************************************************************
                          go.php  -  user's home main page
                             -------------------
    begin                : June 14, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
// Read configuration and functions
include "functions/time.php";
$time_start = getmicrotime();

include "conf/system.conf";
include "functions/module.php";
include "functions/sessions.php";
include "functions/browse.php";
include "functions/metadata.php";
include "functions/explorer.php";

// Browse by node or by category name?
if (ereg("/",$node)){
	$nd = explorer_pname_to_node($node);
	$node = $nd[NODE];
}

if (empty($HTTP_SESSION_VARS[sess_username])){
	session_init();
}

session_init_browse();

// Required variables by template
if (!empty($node)){
	$title_path = explorer_path($node,0);
	$title = $title_path[HIERARCHY];
} elseif (!empty($id)){
	$title = $id;
} else {
	$title = $l[browse];
}

if (isset($m)) $title = ucfirst($m);

$header = "src/header.inc";

$nomenu = TRUE;
$menu = "src/box_folder.inc";

$content = "template/show_document.html";

// generate
include "template/header_menu_content.html";

$time_end = getmicrotime();
$duration = $time_end- $time_start;
echo "<font color=#cccccc><small>Execution time: $duration seconds.</small></font>";
session_logging();
%>
