<%
/***************************************************************************
                          en.inc  -  string in english
                             -------------------
    begin                : June 14, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

$l[home_title]		= "agriKnow: Linking Farmers and Experts with Knowledge";

$l[login] 				= "Login";
$l[logout]				= "Logout";
$l[login_instruction]	= "Please enter your account and password to log in.";
$l[logout_note] = "You have been logged out.";
$l[office]				= "Office";
$l[help]				= "Help";
$l[browse]				= "Browse Category";

$l[account]			= "Account";
$l[account_activate] = "Activate Account";
$l[activate_instruction] = "Please enter your Account and Activation Code to activate your account.";
$l[validation_number] = "Activation Code";
$l[password]			= "Password";
$l[password_forget]	= "Forget password?";
$l[documentation]		= "Documentation";
$l[welcome	]			= "Welcome";
$l[guest]				= "Guest";
$l[description]		= "Description";
$l[personal_data]		= "Personal Data";
$l[address	]			= "Address";
$l[fullname]			= "Full Name";
$l[name]				= "Name";
$l[titel]				= "Title";
$l[birthday]			= "Birth Day";
$l[birthplace]		= "Birth Place";
$l[street]				= "Street";
$l[pcode]				= "Post code";
$l[contact]			= "Contact";
$l[phone]				= "Phone";
$l[fax]				= "Fax";
$l[city]				= "City";
$l[region]				= "Region";
$l[country]			= "Country";
$l[institution]		= "Institution";
$l[position]			= "Position";
$l[job]				= "Job Title";

$l[expertise]			= "Expertise";
$l[experience]		= "Experience (jobs, projects, etc)";
$l[education]			= "Education";
$l[writing]			= "Paper and Publication";
$l[interest]			= "Interest";

$l[confirm]			= "Confirmed";
$l[status]				= "Status";
$l[active]				= "Active";
$l[disabled]			= "Disabled";
$l[email_disabled]	= "<b>Activation Code is NOT SENT</b> because the email sending is disabled.
							Please ask the administrator to activate your account.";
$l[email_send_activation] = "<b>Activation Code is SENT</b> to your email address. Please follow
							instruction indicated in the email to activate your account."; 
$l[email_send_failed]="Failed to send email. Please ask the administrator to activate your account.";

$l[add_user]			= "Add new user";
$l[add_workgroup]		= "Add new workgroup";
$l[show_user]			= "Show users";
$l[show_workgroup]	= "Show workgroups";
$l[add_success]		= "Success inserting a new record into database.";
$l[prev]				= "Previous page";
$l[next]				= "Next page";
$l[ascending]			= "Ascending";
$l[descending]		= "Descending";
$l[search]				= "Search";
$l[search_all]		= "Search All";
$l[search_for]		= "Searched database for";
$l[nomatch]			= "Nothing match for";
$l[edit]				= "Edit";
$l[edit_user]			= "Edit User's General Info";
$l[info_user]			= "User Profile Information";
$l[updated]			= "Success updating the record.";
$l[update_success]	= $l[updated];
$l[update_status]		= "Update Status";
$l[nochanges]			= "Nothing has changed. (<i>Evita Peron</i>)";
$l[access]				= "Access Rights";
$l[delete]				= "Delete";
$l[del]				= "Del";
$l[deleted]			= "is successfully deleted.";
$l[confirm]			= "Confirmation";
$l[are_you_sure]		= "Are you sure want to";
$l[figure]				= "Figure";

$l[yes]				= "Yes";
$l[no]					= "No";
$l[back]				= "Back";
$l[of]					= "of";
$l[add]				= "Add";
$l[from]				= "from";
$l["new"]				= "New";
$l[edit]				= "Edit";
$l[private]			= "Private";

$l[error_msg]			= "Error Message";
$l[info]				= "Information";

$l[category]			= "Category";
$l[category_new]		= "New Category";
$l[category_search]	= "Search Category";

$l[createdby]			= "Created by";
$l[action]				= "Action";
$l[group]				= "Group Level";
$l[workgroup]			= "Workgroup";
$l[wg]					= "WG";
$l[edit_workgroup]	= "Edit Workgroup";
$l[assign_workgroup]	= "Assign Workgroup";
$l[select_workgroup]	= "Select Workgroup";
$l[no_wg_assigned]	= "No workgroup assigned";
$l[assign_module]		= "Assign Module";
$l[assign]				= "Assign to";
$l[assigned]			= "Assigned to";
$l[members]			= "Members";
$l[metadata_form]		= "Metadata Form";

$l[folder]				= "Folders";
$l[content]			= "Contents";
$l[owner]				= "Owner";
$l[new_folder]		= "New folder";
$l[access_mode]		= "Access mode";
$l[access_note]		= "rw-rw-rw = Access mode for owner, workgroup, and public.";
$l[access]				= "Access";
$l[rename]				= "Rename";
$l[upload]				= "Upload";
$l[file]				= "File";
$l[home]				= "Home";
$l[explorer]			= "Explorer";
$l[user]				= "User";
$l[module]				= "Module";
$l[configure]			= "Configuration";

$l[btn_login]			= "Login";
$l[btn_submit]		= "Submit";
$l[btn_reset]			= "Reset";
$l[btn_activate]		= "Activate";
$l[btn_change]		= "Change";
$l[btn_upload] 		= "Upload";
$l[btn_update]		= "Update";
$l[btn_delete]		= "Delete";

$l[registration]		= "Registration";
$l[form_instruction] = "Please complete the following form.<br>
						Note: * = required. <font color=#ff0000><b>red</b></font> = invalid / incomplete.";
$l[registration_alert]	= "Receive K-Alert?";
$l[k_alert]				= "Knowledge Alert";
$l[registration_note] = "After you submit the form, an <b>Activation Code</b> will be sent to you
							via your email address. Follow the instruction to activate your account.";
$l[finish]				= "Finish";
$l[all]				= "All";
$l[up]				= "Up";

$l[menu]			= "Menu";
$l[menu_back]		= "Back to Menu";
$l[mydocument]	= "My Documents";

$l[selected_rows]	= "selected rows";
$l[share_knowledge] = "Upload / Update";

$l[upload_header]		= "Upload: Share Your Knowledge !";
$l[upload_step]		= "Upload Steps";

$l[general_article]			= "General Article or Document";
$l[people_directory]			= "People Directory";
$l[organization_directory] 	= "Organization Directory";

// E-Mall
$l[emall_commodities]		= "E-Mall Commodities";
$l[commodity_data]			= "Commodity Details";
$l[commodity_title]			= "Commodity Name";
$l[supplier_data]				= "Supplier Data";
$l[unit]						= "Unit";
$l[dimension]					= "Dimension/size";
$l[price]						= "Price per Unit";
$l[model]						= "Model";
$l[stock]						= "Stock";
$l[company_name]				= "SME/Company Name";
$l[company_name_note]		= "Automatically taken from current Folder name. 
		You can change if this is not the name.";


$l[upload_step1]				= "Step 1. What do you want to upload?";
$l[upload_step2]				= "Step 2. Create / Update Metadata.";
$l[upload_step3]				= "Step 3. Upload / Update the files.";

$l[isuploaded]		= "is uploaded";
$l[isnotuploaded]		= "is not uploaded";
$l[isdeleted]			= "is deleted";
$l[isnotdeleted]		= "is not deleted";
$l[isupdated]			= "is updated";
$l[isnotupdated]		= "is not updated";

$l[noupload]			= "None is uploaded.";
$l[noupdate]			= "None is updated.";
$l[nodelete]			= "None is deleted.";

$l[ADD]					= "Add";
$l[UPDATE]					= "Update";
$l[FILE]					= "Upload File";

$l[publisher_id]			= "Publisher ID";
$l[publisher_id_note]	= "Formula: AABBCCCDDD. Example: JBPTITBPP = Area code (e.g. JB), Library Type (e.g. PT), 
								Institution Name (e.g. ITB), Department/Unit name (e.g. PP).";
$l[publisher_network]   = "Publisher's Network";
$l[publisher_network_note] = "Name of Digital Library Cluster Network to join in (e.g. AGRI, HEALTH, HERITAGE, CHILDREN, etc.)";
$l[publisher_type]		= "Publisher Type";
$l[publisher_name]		= "Publisher Name";
$l[publisher_name_note]	= "To be displayed on the top right of this page.";
$l[serialno]				= "Serial Number";
$l[autogenerated]			= "Autogenerated. Please do not change if you didn't understand the formula.
								To reset the serial number, please clear the field.";
$l[registered_at]			= "Registered at";
$l[connection]			= "Connection Type";
$l[application]			= "Abbreviated Application Name";
$l[application_note]		= "Format alphanumeric. Example: GDL, SPEKTRA, etc.";
$l[orgname]				= "Organization Name";
$l[hostname]				= "Hostname / Server Name";
$l[hostname_note]			= "It is required if <b>Connection Type</b> is <b>DEDICATED</b>.";
$l[ipaddress]				= "IP Address of the server";
$l[admin]					= "Administrator email";
$l[cko]					= "CKO email";
$l[author]					= "Author";
$l[by]						= "By";
$l[location]				= "Location";
$l[request_tracking]		= "Request Tracking";
$l[send]					= "Send";
$l[response]				= "Response";

$l[folder_index]			= "Sub-folders under this address";
$l[article_index]			= "Articles under this address";
$l[goupfolder]			= "Go to Up Level Folder";
$l[view]					= "View";
$l[thumbnails]			= "Thumbnails";
$l[details]				= "Details";
$l[bookmark]				= "Bookmark";
$l[mybookmark]			= "My Bookmark";
$l[printer]				= "Printer";
$l[theme]					= "Themes";
$l[give]					= "Give";
$l[comment]				= "Comment";
$l[cache]					= "Cache";
$l[cache_refresh]			= "How long the page caching will expire?";
$l[refresh]				= "Refresh";
$l["empty"]					= "Sub-folder is not found";
$l[metadata_notfound]	= "<h3>Metadata Is Not Found</h3>Sorry, metadata with ID <b>$id</b> that you are requested is not found
								in the database.";


$l[contact_publisher]	= "Contact Us:";
$l[related_article]		= "Related Article(s)";
$l[discussion_note]		= "Discussion for Article";

$l[displaying]			= "Displaying";
$l[article]				= "article";
$l[total]					= "total";
$l[search_result]			= "Search Results..";

$l[destination_denied]	= "Access denied for destination folder";

$l[note_homedir]		= "
			<p><font size=1><b><font color=#ff0000>Note:</font></b> your files will be stored in 
			<b>your personal</b> folder.<br>
    		[<a href=javascript:openDocumentWindow('/help.php?q=temporary')>$l[documentation]</a>]</font></p>";

$l[note_temporary]	= "
    		<p><font size=1><b><font color=#ff0000>Note:</font></b> your files will be stored in the <b>Temporary</b> folder.<br>
    		Click the <b>Top</b> folder, browse the folders, and click <b>New</b> 
    		to change the destination.<br>
    		[<a href=javascript:openDocumentWindow('/help.php?q=temporary')>$l[documentation]</a>]</font></p>";

// ***************** CONFIGURATION ***********************

$l[configure_instruction]	= "	To configure your system, just follow these steps.";

$l[configure_step1]			= "Configure Your Server Registry.";
$l[configure_step1_desc]	= "I assume that you have sent Publisher Registration form to IndonesiaDLN and you
			have received Publisher Configuration data (publisher.ini file) from IndonesiaDLN. 
			Use this information to fill this form. It is required when you perform <b>Synchronization</b>.
			
			<p><b>Warning:</b>
			<br>Updating this registry DOESN'T mean you update your server information
			at Hub Server and other Partner Servers. To update it GLOBALLY, you must
			send email to your Hub Server Administrator containing the update.
			";

$l[configure_step2]			= "Setting Other Options.";
$l[configure_step2_desc]	= "You can select your favorite language, color themes, 
			cache refresh time, number records per page, and allowed host for full access.";			

$l[trusted_host]		= "Trusted Host";
$l[trusted_host_note] = "<font size=1>IP Address of the client that is trusted to gain full access
				without authentication. It is usefull if you want to create CD-ROM of 
				this system. You can use other software like <b>Teleport Pro</b> to harvest the pages
				to that client.</font>";

$l[perpage]			= "Records perpage";
$l[perpage_note]		= "How many records / titles will be displayed in a page?";

$l[tools]				= "Tools";
$l[tool_backup]		= "Create Database Backup (dump)";
$l[tool_download]		= "Download Database Dump";
$l[create_index]		= "Create/Update Database Index";
$l[create_index_help]= "How to create index?
	<ul>
		<li>Using command line, go to directory <b>./bin</b> of this web server.
		<li>Type <b>progidx.bat</b> on Windows system, or <b>progidx.sh</b> on Unix system.
	</ul>
	The program will create an index file <b>gdl40.idx</b> in the same directory.
	You also can set the indexing to be done <b>automatically</b>. Set your crontab schedule on Unix system.
";

// ****************** SYNC ******************
$l[time_out]		= "CONNECTION TIME OUT...";
$l[failed]			= "CONNECTION FAILED...";
$l[connected]		= "CONNECTED...";

// ******************************************
// Statistics
$l[top_contributors]	= "Top Contributors";
$l[top_visitors]		= "Top Visitors";
$l[top_read]			= "Top Read Articles";
$l[top_download]		= "Top Downloaded Files";
$l[collection_types]	= "Collection Types";
$l[file_formats]		= "File Formats";

// ******************************************
// metadata field
// ******************************************
$l[type]				= "Type";
$l[type_note]			= "Type of the document";

$l[title]				= "Title";
$l[original]			= "In original language";
$l[alternative]		= "In English";
$l[title_series]		= "Series (e.g. Republika, 1 Januari 2001)";
$l[title_about]		= "What is this article about (in one word)";

$l[creator]			= "Creator / Author";
$l[organization]		= "Organization";
$l[organization_desc] = "You can add new Organization into the selection by adding <b>organization type</b> from the 
							<a href=/office.php?m=explorer&address=/Organization/>Repository Explorer</a> under
							<b>Organization</b> folder. You should have access to the module.";
$l[email]				= "Email";
$l[website]			= "Website";
$l[personal]			= "Personal";

$l[classification]	= "Classification";
$l[subject]			= "Subject";
$l[subject_heading]	= "Subject Heading";
$l[keywords]			= "Keywords";
$l[ddc]				= "Call number (DDC)";

$l[description_note]	= "Copy and paste from <b>abstract</b> or <b>content</b> of the article.";
$l[description_additional] = "Additional note";
$l[description_additional_note] = "Example: acceptance note from the faculty.";

$l[contributor]		= "Contributor";
$l[contributor_note]	= "List name and role of the contributors";
$l[contributor_sample] = "Example: Translator: Si Fulan.";

$l[date]				= "Date";
$l[format]				= "Format";
$l[date_format]		= "YYYY-MM-DD";
$l[created]			= "Created";
$l[created_note]		= "Example: publishing date, writing date.";
$l[modified]			= "Last Modified";
$l[issued]				= "Issued";

$l[with]				= "with";
$l[source]				= "Source";
$l[source_where]		= "From where this document was taken";
$l[source_note]		= "Example: Third Meeting of IndonesiaDLN.";
$l[url]				= "URL";
$l[url_note]			= "Internet address from where this document is taken.";

$l[language]			= "Language";
$l[language_note]		= "Select language";
$l[other]				= "Other";
$l[update]				= "Update";

$l[relation]			= "Relation";
$l[relation_note]		= "This document is related to other documents";
$l[relation_file]		= "Related files";
$l[file_number]		= "Number of files";
$l[file_selection]	= "Select files";
$l[relation_file_note] = "Number of files that will be uploaded (0,1,3, and so on).";
$l[upload_instruction] = "Please select and upload the files that related to this metadata. 
					To <b>update</b> or <b>delete</b>, you <b>must give a check mark on the selected row</b>.";

$l[coverage]			= "Coverage";
$l[coverage_note]		= "Time and place covered by the document";

$l[copyrights]		= "Copyrights";
$l[copyrights_note]	= "Condition statement";


// ***************************************

$l[faq]					= "FAQ";

$l[read]				= "Read";
$l[write]				= "Write";

$l[double_pane]			= "Double pane";
$l[single_pane]			= "Single pane";

$l[select_job]			= "Select Job Title";
$l[select_gid]			= "Select Group Level";

$l[modules]				= "Modules";

$l[mod_module]			= "Module Administration";
$l[mod_module_desc]		= "Display this page. It shows the available modules and its assignment.";

$l[mod_organization]		= "Organization";
$l[mod_organization_desc]= "Module for managing organization database: add, update, delete organization
								data.";

$l[mod_bookmark]			= "Bookmark";
$l[mod_bookmark_desc]	= "Module for managing user's bookmarked articles.";

$l[mod_request]			= "User Requests";
$l[mod_request_desc]		= "Module for managing user's request.";

$l[mod_user]				= "User Administration";
$l[mod_user_desc]			= "Module for user manajemen: add new user, update user, delete user,
								set workgroup, and activation.";

$l[mod_sync]			= "Export & Import";
$l[mod_sync_desc]		= "Module for exporting (synchronizing) and importing database of this server with the hub server.";

$l[mod_import]			= "Import Collections";
$l[mod_import_desc]		= "Module for importing metadata or file archives from other digital library servers.";

$l[mod_statistics]		= "Statistics";
$l[mod_statistics_desc]	= "Display statistics information for the contents, users, access, and usages.";

$l[mod_workgroup]			= "Workgroup Administration";
$l[mod_workgroup_desc]	= "Module for workgroup management: add new workgroup, update, delete
								and assign users to the workgroups.";
								
$l[mod_publisher]			= "Publisher";
$l[mod_publisher_desc]	= "Table of Publisher or Nodes";

$l[mod_explorer]			= "Repository Explorer";
$l[mod_explorer_desc]	= "Windows explorer like and wincmd like for Repositories";

$l[mod_upload]			= "Upload File";
$l[mod_upload_desc]		= "Create metadata and upload files.";

$l[mod_configure]			= "Tools & Configuration";
$l[mod_configure_desc]	= "Tools and configuration for the system. Available tasks:
								intial setup, change profile, and backup.";


$l[mod_name]				= "Module name";
$l[mod_min_gid]			= "Minimum allowed group level";
$l[mod_your_gid]			= "Your group level";

// *************************************************
$l[gid_0]					= "Guest";
$l[gid_1]					= "Superuser";
$l[gid_2]					= "CKO";
$l[gid_3]					= "Editor";
$l[gid_4]					= "User";

// *************************************************
// include error message
include "languages/error_en.inc";
// include help
include "languages/help_en.inc";


%>