<%
/***************************************************************************
                          mod_user.inc -  module user administration
                             -------------------
    begin                : June 21, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

$modname = "explorer";

require_once "functions/form.php";
require_once "functions/db.php";
require_once "functions/stdout.php";
require_once "functions/explorer.php";
include "modules/module.conf";

$gid = $mod[gid][$modname];

if (!module_auth($gid,$modname)) {
	return;
};

// init
if (!isset($_GET[start])) 
	$start = 0;
else
	$start = $_GET[start];

if (empty($a)) $a = 0;

if (isset($b)){
	switch ($b){
		case "new":
			if (!empty($folder_name)){
				$f_mode = form_access_mode($mode);
				$f_owner = $HTTP_SESSION_VARS[sess_email];
				db_new_folder($folder_name,$f_mode,$folder_type,$a,$folder_parent_path,$f_owner,$wgid,$DC_PUBLISHER_ID);
			}
			break;

		case "edit":
			
			if ($_POST[action] == "folder_explorer"){
			
				if (explorer_folder_isreserved("folder",$a)){
					stdout_error ("$e[access_denied] $e[reserved] $l[folder]");
					break;
				}
				
				$f_mode = form_access_mode($mode);
				$stredit = "UPDATE folder 
								SET 
									TYPE = '$folder_type',
									NAME = '".str_replace(" ","_",$_POST[folder_name])."',
									MODE = '$f_mode',
									WGID = '$wgid',
									DATEMODIFIED = '".date("Y-m-d H:is")."'
								WHERE NODE = '$a'";
				$dbresedit = mysql_query($stredit);
				if (!$dbresedit) stdout_error(mysql_error());
			} elseif ($_POST[action] == "metadata_explorer"){
			
				if (!explorer_folder_iswrite("metadata",$id)){
					echo $e[access_denied];
					break;
				}
				
				$f_mode = form_access_mode($mode);
				$stredit = "UPDATE metadata 
								SET 
									MODE = '$f_mode',
									WGID = '$wgid',
									DATEMODIFIED = '".date("Y-m-d H:is")."'
								WHERE IDENTIFIER = '$id'";
				$dbresedit = mysql_query($stredit);
				if (!$dbresedit) stdout_error(mysql_error());
			}
			
			break;

		case "search":
			echo "search";
			break;
	} 

}

// Move documents

explorer_move_metadata();


     		
%>


	
		
		<%
		stdout_tab_title($l[mod_explorer],"/images/explorer.gif");
		%>
		
		<table border=0 width="100%" cellspacing="0" cellpadding="0">
		<tr>
		
				<%
					if ($HTTP_SESSION_VARS[sess_explorer_pane] == 2){
						
						// left window
						echo "<td width=50% valign=top>";
						echo explorer_windows(0);
						echo "</td>";
						
						echo "<td valign=top><img src=images/dot.gif width=1 height=70><br>
									<input type=image src=/images/nav_arrow.gif name=copyL2R 
										alt=\"MOVE selected document(s) from LEFT to RIGHT\"><br>
									<input type=image src=/images/nav_back.gif name=copyR2L  
										alt=\"MOVE selected document(s) from RIGHT to LEFT\">
								</td>";
						
						// right window
						echo "<td width=50% valign=top>";
						echo explorer_windows(1);
						echo "</td>";
				
					} else {
						
						// single window
						echo "<td width=100% >";
						echo explorer_windows(0);
						echo "<td>";
					
					}
					
				%>
			</tr>
      	</table>
<table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr>
    <td width="100%" background="../images/line_orange_bg.gif" align="right"><img border="0" src="../images/line_orange_right.gif" width="238" height="8"></td>
  </tr>
  <tr>
    <td width="100%">
	<font size=1>
		<img src=/images/dir.gif><%=$l[folder]%> 
		<img src=/images/dir_new.gif><%="$l[new] $l[folder]"%>
		<img src=/images/dir_up.gif><%=$l[goupfolder]%>
		<img src=/images/m.gif><%=ucfirst($l[article])%> 
		<img src=/images/editsml.gif><%=$l[edit]%>
         <img src=/images/key.gif> <b>r</b> = <%=$l[read]%> - <b>w</b> = <%=$l[write]%></font></td>
  </tr>
</table>
