<%
/***************************************************************************
                          mod_publisher.inc -  module publisher administration
                             -------------------
    begin                : Aug 23, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

$modname = "publisher";

$gid = $mod[gid][$modname];

if (!module_auth($gid,$modname)) {
	return;
};

require_once "functions/metadata.php";
require_once "functions/bookmark.php";
require_once "functions/stdout.php";
require_once "functions/db.php";
require_once "functions/form.php";

// **********************************************

if ($conf[role] == "HUB") {
	if (file_exists("functions/hub.php")){
		require_once "functions/hub.php";
	} 
}

if (empty($per_page)){
	$per_page = $conf[perpage_search];
}

// init
if (!isset($_GET[start])) 
	$start = 0;
else
	$start = $_GET[start];


if (($b == "add") || ($b == "edit")){
	if (!defined ('hub_php')){
		stdout_error($e[isnot_hub]);
		return;
	}
	
	if (empty($frm[PUBLISHER_SERIALNO])) $frm[PUBLISHER_SERIALNO] = hub_generate_serialno();
	
	if (!empty($frm[ACTION])){
		// check and insert
		$configure_file_validation = "forms/form_publisher_edit_validate.inc";
		if (file_exists($configure_file_validation)){
			if (form_is_valid($frm,$configure_file_validation)){
				if ($frm[ACTION] == "add"){
					if (hub_publisher_add()) {
						$b = "edit";
						$id = $frm[PUBLISHER_ID];
						stdout_error("New Publisher $id is added.");
					}
				} else {
					if (hub_publisher_edit($id,"from_manual")){
						stdout_error("Publisher $id is updated.");
						$id = $frm[PUBLISHER_ID];
					} 
				}
			} else {
				stdout_error($e[form_invalid]);
			}
		} else {
			$errmsg = "Error: File <b>$configure_file_validation</b> $e[notfound]";
			stdout_error($errmsg);
		}
	} else {
		if (empty($id)){
			$id = $frm[PUBLISHER_ID];
		} else {
			$frm = hub_publisher_read($id);
		}
	}
	
	include "forms/form_publisher_edit.inc";
	return;
}


			if (empty($q)){
				$strsql_nolimit = "SELECT * FROM publisher
        						ORDER BY DC_PUBLISHER_ID ASC";
        		// count
        		$strsql_count = "SELECT count(*) as TOTAL FROM publisher";
   			} else {
   				$strsql_nolimit = "SELECT * FROM publisher 
   								WHERE DC_PUBLISHER_ID like '%$q%' OR
   									DC_PUBLISHER like '%$q%'
   								ORDER BY DC_PUBLISHER_ID ASC";
   				// count
        		$strsql_count = "SELECT count(*) as TOTAL FROM publisher
        						WHERE DC_PUBLISHER_ID like '%$q%' OR
   									DC_PUBLISHER like '%$q%' ";
			}
			     			
        	
        					
        	$strsql = $strsql_nolimit . " LIMIT $start, $per_page";
        	
        	
        	// execute db
        	
        	$dbres = mysql_query($strsql);
        	if ($dbres){
        		$segs = mysql_num_rows($dbres);
          	} else {
        		$errmsg = mysql_error()."<p>$strsql";
        		stdout_error($errmsg);
        	}

   			if ($segs < $per_page)
   				$stop = $start+$segs;
   			else
   				$stop = $start+$per_page;
         				
			$total_records = db_total_records($strsql_count);
			
			// Navigation
			
			// Prev page
			if ($start > 0)
   				$html_nav = "<a href=/office.php?m=publisher&start=".($start-$per_page)."><img border=0 src=/images/prev.gif alt=\"$l[prev]\"></a>";
			else
         		$html_nav = "<img border=0 src=/images/prev.gif alt=\"$l[prev]\">";
         				
         	// Next page
         	if ($stop < $total_records)
         		$html_nav .= "<a href=/office.php?m=publisher&start=$stop><img border=0 src=/images/next.gif alt=\"$l[next]\"></a>";
         	else
         		$html_nav .= "<img border=0 src=/images/next.gif alt=\"$l[next]\">";
         		


%>
	<form method="POST" action="/office.php?m=publisher">
		
		<%
		stdout_tab_title($l[mod_publisher],"/images/homesml.gif");
		
		echo "<table border=0 width=100% cellspacing=0 cellpadding=1 bgcolor=$t[color_light]>
			<tr><td>
			Search Publisher ID or Name: <input type=text name=q size=20 value=\"$q\" style=\"font-family: Arial; font-size: 8pt\">
         			<input type=image border=0 src=/images/search2.gif alt=$l[search]>
         	</td>";
      
      	if ($conf[role] == "HUB"){
         	echo "<td align=right>
         		<a href=/office.php?m=publisher&b=add><img src=/images/pubadd.gif alt=\"Add New Publisher\" border=0></a>
         	</td>";
       }
       echo "</tr></table>";
         			
		include "src/table_nav.inc";
		%>
		
      <table border="0" width="100%" cellspacing="0" cellpadding="1" bgcolor="<%=$t[color_light]%>">
        <tr>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" bgcolor="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>" bordercolorlight="<%=$t[color_dark]%>">
                <font color="#FFFFFF" size="2"><%=$l[no]%></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" bgcolor="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>" bordercolorlight="<%=$t[color_dark]%>">
                <font color="#FFFFFF" size="2">Action</font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td nowrap width="100%" bgcolor="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>" bordercolorlight="<%=$t[color_dark]%>">
                <font color="#FFFFFF" size="2"><%=$l[publisher_id]%></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF"><%=$l[publisher_name]%></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF"><%=$l[city]%></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td nowrap width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF">Network</font></td>
              </tr>
            </table>
          </td>
           <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td nowrap width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF">Hub ID</font></td>
              </tr>
            </table>
          </td>
        </tr>
        <%

        		if ($dbres){
        			$no = $start;
        			while($row = mysql_fetch_array($dbres)){
        				$no++;
       				if (is_int($no/2))
        					$bg_color = $t[color_row_light];
        				else
        					$bg_color = $t[color_row_dark];
        				
       				
        				if (!empty($q)){
        					$pub_name = "<a href=http://$row[DC_PUBLISHER_HOSTNAME]>".eregi_replace("($q)","<font color=#ff0000>\\1</font>",$row[DC_PUBLISHER])."</a>";
        					$pub_id = eregi_replace("($q)","<font color=#ff0000>\\1</font>",$row[DC_PUBLISHER_ID]);
        				} else {
        					$pub_name = "<a href=http://$row[DC_PUBLISHER_HOSTNAME]>$row[DC_PUBLISHER]</a>";
        					$pub_id = $row[DC_PUBLISHER_ID];
        				}
        				
        				$delete = "<a href=\"javascript:openDocumentWindow('/publisher.php?b=delete&id=$row[DC_PUBLISHER_ID]')\"><img src=/images/del.gif border=0></a> ";
        				$edit = "<a href=/office.php?m=publisher&b=edit&id=$row[DC_PUBLISHER_ID]><img src=/images/editsml.gif border=0></a> ";
        				
        				if (($conf[role] == "HUB") && ($DC_PUBLISHER_ID == $row[DC_PUBLISHER_HUBSERVER])){        						
        					$config = "<a href=\"javascript:openDocumentWindow('/publisher.php?b=config&id=$row[DC_PUBLISHER_ID]')\"><img src=/images/email.gif border=0></a>";
        				} else {
        					$config = "";
        				}
       				
        				echo "
        <tr>
          <td bgcolor=$bg_color valign=top align=center><font size=1>$no</font></td>
          <td bgcolor=$bg_color valign=top><font size=1>$delete $edit $config</font></td>
          <td bgcolor=$bg_color valign=top nowrap><font size=1><a href=\"javascript:openDocumentWindow('/publisher.php?id=$row[DC_PUBLISHER_ID]')\">$pub_id</a></font></td>
          <td bgcolor=$bg_color valign=top><font size=1>$pub_name</font></td>
          <td bgcolor=$bg_color valign=top><font size=1>$row[DC_PUBLISHER_CITY]</font></td>
          <td bgcolor=$bg_color valign=top><font size=1>$row[DC_PUBLISHER_NETWORK]</font></td>
          <td bgcolor=$bg_color valign=top><font size=1>$row[DC_PUBLISHER_HUBSERVER]</font></td>
        </tr>
        				
        						";
        				
        			} 		
        		
        		} else {
        			stdout_error("mod_request: ".mysql_error());
				}

        	
        %>
        
      </table>
 		
 		<% include "src/table_nav.inc";%>
 		<font size=1>Note: <img src=/images/del.gif> Delete - <img src=/images/edit.gif> Edit - 
 		<img src=/images/email.gif> Print Configuration</font>
</form>