<%
/***************************************************************************
                          mod_workgroup.inc -  module workgroup administration
                             -------------------
    begin                : June 21, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

$modname = "workgroup";

require_once "functions/form.php";
require_once "functions/db.php";
include "modules/module.conf";

$gid = $mod[gid][$modname];

if (!module_auth($gid,$modname)) {
	return;
};

// init
if (!isset($_GET[start])) 
	$start = 0;
else
	$start = $_GET[start];

// Functions
function wg_check($frm)
{
	global $frmred;
	
	$valid = TRUE;
	
	if (empty($frm[NAME])){
		$frmred[NAME] = "color=#ff0000";
		$valid = FALSE;
	}
	if (empty($frm[DESCRIPTION])){
		$frmred[DESCRIPTION] = "color=#ff0000";
		$valid = FALSE;
	}
	return $valid;
}


// Process result

if (isset($_GET[b])){
	switch ($_GET[b]){
		case "form":
			include "forms/form_workgroup.inc";
			return;
			break;
		case "add":
			if ($_POST[wgpost]){
				$valid = wg_check($frm);
				if (!$valid){
					include "forms/form_workgroup.inc";
					return;
				} 
				$strsql = "INSERT INTO workgroup
							(NAME, DESCRIPTION, STATUS)
						VALUES
							('".addslashes($frm[NAME])."',
							'".addslashes($frm[DESCRIPTION])."',
							'$frm[STATUS]')";
				$dbres = mysql_query($strsql);
				if ($dbres){
					$errmsg = $l[add_success];
					stdout_error($errmsg);
				} else {
					$errmsg = mysql_error();
					if (eregi("duplicate",$errmsg)) $frmred[NAME] = "color=#ff0000";
					include "forms/form_workgroup.inc";
					
				}
			} else {
				include "forms/form_workgroup.inc";
				return;
			}
			break;
		case "delete":
			if ($_GET[c] == "1"){
				$strsql = "DELETE FROM workgroup WHERE WGID = '$_GET[a]'";
				$dbres = mysql_query($strsql);
				if ($dbres){
					if (mysql_affected_rows()>0){
						$errmsg = "$l[workgroup] WGID=$_GET[a] $l[deleted]";
						stdout_error($errmsg);
						$strsql2 = "DELETE FROM rel_workgroup_user WHERE WGID = '$_GET[a]'";
						$dbres2 = mysql_query($strsql2);
						if (!$dbres2) stdout_error(mysql_error());
					}
				} else {
					stdout_error(mysql_error());
				}
			}
			break;
		case "edit":
			if ($_POST[wgpost]){
				$valid = wg_check($frm);
				if (!$valid){
					include "forms/form_workgroup.inc";
					return;
				} 
				$strsql = "UPDATE workgroup SET
								NAME = '".addslashes($frm[NAME])."', 
								DESCRIPTION = '".addslashes($frm[DESCRIPTION])."', 
								STATUS = '$frm[STATUS]'
							WHERE
								WGID = '$frm[WGID]'";
								
				$dbres = mysql_query($strsql);
				if ($dbres){
					if (mysql_affected_rows()>0){
						$errmsg = $l[update_success];
					} else {
						$errmsg = $l[nochanges];
					}
					stdout_error($errmsg);
				} else {
					$errmsg = mysql_error();
					if (eregi("duplicate",$errmsg)) $frmred[NAME] = "color=#ff0000";
					include "forms/form_workgroup.inc";
					return;
				}
			} else {
				$strsql = "SELECT * FROM workgroup WHERE WGID = '$_GET[a]'";
				$dbres = mysql_query($strsql);
				if ($dbres){
					$row = mysql_fetch_array($dbres);
					$frm[NAME] = $row[NAME];
					$frm[DESCRIPTION] = $row[DESCRIPTION];
					$frm[STATUS] = $row[STATUS];
				
					include "forms/form_workgroup.inc";
					return;
				} else {
					$errmsg = mysql_error();
					stdout_error($errmsg);
				}
			}
			
			break;
		case "assign":
			
			if ($_POST[action] == "assign"){
				// delete previous
				$strdel = "DELETE FROM rel_workgroup_user WHERE EMAIL = '$_GET[a]'";
				$dbres = mysql_query($strdel);
				if (!$dbres) stdout_error(mysql_error());
				// assign
				if (is_array($frm[WGID])){
					while (list($key,$val) = each($frm[WGID])){
						$stradd = "INSERT INTO rel_workgroup_user (WGID,EMAIL)
								VALUES ('$val','$_GET[a]')";
						$dbres = mysql_query($stradd);
						if (!$dbres) stdout_error(mysql_error());
					}
				}
			}
			
			$strsql = "SELECT WGID FROM rel_workgroup_user WHERE EMAIL = '$_GET[a]'";
			$dbres = mysql_query($strsql);
			if ($dbres){
				while($row = mysql_fetch_array($dbres)){
					$ischecked["$row[WGID]"] = "checked";
				}
			} else {
				$errmsg = mysql_error();
				stdout_error($errmsg);
			}
			
			$btn_assign = "<input type=submit value=\"$l[assign_workgroup]\">
					<a href=/office.php?m=user><img src=/images/user_home.gif border=0 alt=\"$l[show_user]\"></a>";
			
			break;
	} 

}

	// Search
			if (!empty($_POST[q])){
				$strsql_nolimit = "SELECT * FROM workgroup
							WHERE 
								NAME like '%".$_POST[q]."%' or
								DESCRIPTION like '%".$_POST[q]."%' 
        					ORDER BY NAME";
        		
        		// count
        		$strsql_count = "SELECT count(*) as TOTAL FROM workgroup
							WHERE 
								NAME like '%".$_POST[q]."%' or
								DESCRIPTION like '%".$_POST[q]."%' 
        					";
        					
   	     		$strsql = $strsql_nolimit . " LIMIT $start, $conf[perpage]";
			} else {
				if (!isset($_GET[sb]))
						$ob = "NAME";
					else
						$ob = $_GET[sb];
						
       		$strsql_nolimit = "SELECT * FROM workgroup
        				ORDER BY $ob $_GET[so]";
        		
        		// count
        		$strsql_count = "SELECT count(*) as TOTAL FROM workgroup";
        				
        		$strsql = $strsql_nolimit . " LIMIT $start, $conf[perpage]";
        	}
        	
        	// execute db
        	
        	if  ($_GET[b] == "assign")
				$dbres = mysql_query($strsql_nolimit);
			else
	        	$dbres = mysql_query($strsql);
	        	
        	if ($dbres){
        		$segs = mysql_num_rows($dbres);
          	} else {
        		$errmsg = mysql_error()."<p>$strsql";
        		stdout_error($errmsg);
        	}

   			if ($segs < $conf[perpage])
   				$stop = $start+$segs;
   			else
   				$stop = $start+$conf[perpage];
         	
			$total_records = db_total_records($strsql_count);
			
			
			
	// Navigation
			
			// Prev page
			if ($start > 0)
   				$html_nav = "<a href=/office.php?m=workgroup&start=".($start-$conf[perpage])."><img border=0 src=/images/prev.gif alt=\"$l[prev]\"></a>";
			else
         		$html_nav = "<img border=0 src=/images/prev.gif alt=\"$l[prev]\">";
         				
         	// Next page
         	if ($stop < $total_records)
         		$html_nav .= "<a href=/office.php?m=workgroup&start=$stop><img border=0 src=/images/next.gif alt=\"$l[next]\"></a>";
         	else
         		$html_nav .= "<img border=0 src=/images/next.gif alt=\"$l[next]\">";
         	
         	if ($_GET[b] == "assign") {
         		$stop = $total_records;
         		$html_nav = "";
         	}			
%>
	<form method="POST" action="/office.php?m=workgroup&a=<%=$_GET[a]%>&b=<%=$_GET[b]%>">
		<input type=hidden name=action value=<%=$_GET[b]%>>
		<!-- Tab title -->
		<%
		stdout_tab_title($l[mod_workgroup],"/images/wg.gif");
		
		echo "<table border=0 width=100% cellspacing=0 cellpadding=1 bgcolor=$t[color_light]>
			<tr><td>
			Search Workgroup Name or Description: <input type=text name=q size=20 value=\"$q\" style=\"font-family: Arial; font-size: 8pt\">
         			<input type=image border=0 src=/images/search2.gif alt=$l[search]>
         	</td>
         	<td align=right>
         		<a href=/office.php?m=workgroup&b=add><img border=0 src=/images/add_workgroup.gif alt=$l[add_workgroup]></a>
         			<a href=/office.php?m=workgroup><img border=0 src=/images/workgroup_home.gif alt=$l[show_workgroup]></a>
         	</td>
         	</tr></table>";
         			
		include "src/table_nav.inc";

			// Sort Asc or Desc
			$sort["$_GET[sb]"] = $_GET[so];
			
			if ($_GET[so] == "asc"){
				$snav["$_GET[sb]"] = "<img src=/images/asc.gif border=0 alt=$l[ascending]>";
				$slink = "/office.php?m=workgroup&so=desc";
			} elseif ($_GET[so] == "desc") {
				$snav["$_GET[sb]"] = "<img src=/images/desc.gif border=0 alt=$l[descending]>";
				$slink = "/office.php?m=workgroup&so=asc";
			} else {
				$snav[NAME] = "<img src=/images/asc.gif border=0 alt=$l[ascending]>";
				$slink = "/office.php?m=workgroup&so=desc";
			}
			
		%>
		
      <table border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="<%=$t[color_light]%>">
        <tr>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" bgcolor="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>" bordercolorlight="<%=$t[color_dark]%>">
                <font color="#FFFFFF" size="2"><%=$l[no]%></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td nowrap width="100%" bgcolor="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>" bordercolorlight="<%=$t[color_dark]%>">
                <a href=<%=$slink%>&sb=NAME><font color="#FFFFFF" size="2"><%="$l[workgroup] $l[name]"%><%=$snav[NAME]%></font></a></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF"><%=$l[description]%></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td nowrap width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF"><%
                	if ($_GET[b] == "assign")
                		echo "$l[assign] <b>$_GET[a]</a>";
                	else
                		echo $l[members];
                		
                %></font></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <a href=<%=$slink%>&sb=STATUS><font size="2" color="#FFFFFF"><%=$l[status]%><%=$snav[STATUS]%></font></a></td>
              </tr>
            </table>
          </td>
          <td>
            <table border="1" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" bgcolor="<%=$t[color_dark]%>" bordercolorlight="<%=$t[color_dark]%>" bordercolor="<%=$t[color_light]%>">
                <font size="2" color="#FFFFFF"><%=$l[action]%></font></td>
              </tr>
            </table>
          </td>
        </tr>
        <%
        	// Display result
        	
        		$no = $start;
        		
        		if ($segs >0){
        			while ($row = mysql_fetch_array($dbres)){
        				$no++;
        				if (is_int($no/2))
        					$bg_color = $t[color_row_light];
        				else
        					$bg_color = $t[color_row_dark];
        				
        				if ($row[STATUS] == 1)
        					$stat = "<img src=/images/enable.gif>".$l[active];
        				else
        					$stat = "<img src=/images/disable.gif>".$l[disabled];
        				
        				// if assign
        				if ($_GET[b] == "assign") {
        					$mywgid = $row[WGID];
        					$chkbox = "<center><input type=checkbox name=frm[WGID][]
        						value=$row[WGID] $ischecked[$mywgid] ></center>";
        				}
        				
        				// get wg members
        				$mymembers = "";
        				$strsql2 = "SELECT user.FULL_NAME 
        									FROM user,rel_workgroup_user
        									WHERE rel_workgroup_user.WGID = '$row[WGID]' AND
        											rel_workgroup_user.EMAIL = user.EMAIL
        									ORDER BY user.FULL_NAME "; 
        				$dbres2 = mysql_query($strsql2);
        				if ($dbres2){
        					while($row2 = mysql_fetch_array($dbres2)){
        						if (strlen($row2[FULL_NAME])>15)
        							$myname = substr($row2[FULL_NAME],0,15)."..";
        						else
        							$myname = $row2[FULL_NAME];
        							
        						$mymembers .= "<img src=/images/people.gif>$myname<br>";
        					}
        				}
        				
        				echo "
        <tr>
          <td bgcolor=$bg_color valign=top><font size=1>$no</font>
          	</td>
          <td bgcolor=$bg_color valign=top><font size=1><img border=0 src=/images/wg.gif> 
          		<a href=/office.php?m=workgroup&a=$row[WGID]&b=edit>$row[NAME]</a></font></td>
          <td bgcolor=$bg_color><font size=1>$row[DESCRIPTION]</font></td>
          <td bgcolor=$bg_color valign=top nowrap>$chkbox<font size=1>$mymembers</font></td>
          <td bgcolor=$bg_color nowrap valign=top><font size=1>$stat</font></td>
          <td bgcolor=$bg_color valign=top align=center>
          		<a href=/office.php?m=workgroup&a=$row[WGID]&b=edit><img src=/images/update.gif border=0 alt=\"$l[edit]\"></a>
          		<a href=/office.php?m=confirm&md=workgroup&a=$row[WGID]&b=delete>
          		<img src=/images/del.gif border=0 alt=\"$l[delete]\"></a>
          </td>
        </tr>
        				
        				";
        			
        			}
        		}

        	
        %>
        
      </table>
      <%
      	if ($_GET[b] == "assign") echo "<center>$btn_assign</center>";
      
      echo "<br>";
      include "src/table_nav.inc";
      
      %>
	</form>