<%
/***************************************************************************
                          welcome.php  -  user's home main page
                             -------------------
    begin                : June 14, 2002
    copyright            : (C) 2002 Ismail Fahmi, KMRG ITB
    email                : ismail@itb.ac.id

 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/
 
// Read configuration and functions
include "functions/time.php";
$time_start = getmicrotime();

include "conf/system.conf";
include "functions/module.php";
include "functions/sessions.php";
require_once "functions/browse.php";

switch($m){
	case "lang":
		session_init_lang($langid);
		Header ("Location: $_SERVER[HTTP_REFERER]");
		break;
	case "explorer":
		session_init_explorer();
		break;
	case "upload":
		session_init_upload();
		$menu = "upload";
		break;
	case "statistics":
		$menu = "statistics";
		break;
	case "configure":
		$menu = "configure";
		break;
	case "sync":
		$menu = "sync";
		break;
	case "":
		Header("Location: /office.php?m=explorer");
		return;
	default:
		$menu = "menu";
		break;
}

// Required variables by template
$title = $l[office];
if (isset($m)) $title = ucfirst($m);
$header = "src/header.inc";
if (empty($menu)) $menu = "menu";
$content = "src/office.inc";

// generate
include "template/header_menu_content.html";

$time_end = getmicrotime();
$duration = $time_end- $time_start;
echo "<font color=#cccccc size=1>Execution time: $duration seconds.</font>";
session_logging();
%>