<%
include "conf/system.conf";
include "conf/sync.conf";
include "modules/module.conf";
require_once "functions/box.php";
require_once "functions/string.php";
require_once "functions/client.php";
require_once "functions/module.php";

$modname = "sync";
$gid = "1";

if (!module_auth($gid,$modname)) {
	return;
};

if (($HTTP_SESSION_VARS[sess_gid] <= $mod[gid][sync]) && ($HTTP_SESSION_VARS[sess_gid] >=1)){
	// go on
} else {
	echo  "<h3>Access Denied</h3>";
	return;
}

if (($page != "header") && ($page != "footer") && ($page != "send") 
	&& ($page != "ListProviders") && ($page != "options") ){
	
	include "src/style.inc";
	echo "<table width=100% cellspacing=0 cellpadding=5 border=0><tr><td>";
}


switch ($page){
	case "header":
		string_html_header("Header");
		include "src/header.inc";
		break;
	case "footer":
		string_html_header("Footer");
		include "src/footer.inc";
		break;
	case "contents":
		string_html_header("Contents");
		include "src/box_welcome.inc";
		box_show("sync");
		//client_print_status();
		break;
	case "main":
		string_html_header("Contents");
		client_main();
		break;
	
	#---------- Export archive
	
	case "exportmeta":
		client_export_metadata($step);
		break;
	case "importmeta":
		client_import_metadata($step);
		break;
	case "download":
		client_download_archive();
		break;
	
	#---------- Sync
	
	case "start":
		client_connect("start");
		break;
	case "connect":
		client_connect("connect");
		break;
	case "disconnect":
		client_disconnect();
		break;
	case "upload":
		client_send_archive();
		break;
	case "PutListRecords":
		client_send_receive("PutListRecords");
		break;
	case "inbox":
		echo "Inbox";
		break;
	case "outbox":
		echo "Outbox";
		break;
	case "sent":
		echo  "Sent Items";
		break;
	case "options":
		client_options();
		break;
	
	# ----------- OAI
	case "ListRecords":
		client_send_receive("ListRecords");
		break;
	case "ListProviders":
		Header("Location: /OAI-client.php?verb=ListProviders");
		break;
	
	default:
		echo "<h3>Internal Error...</h3> Function for <b>$page</b> is not found."; 
}

if (($page != "header") && ($page != "footer")){
	echo "</td></tr></table>";
}

//phpinfo();
%>